(require 'quail)
;; # HANZI input table for cxterm
;; # To be used by cxterm, convert me to .cit format first
;; # .cit version 1
;; ENCODE:	BIG5
;; MULTICHOICE:	YES
;; PROMPT:	$(0KH)tTT&,!(N,Tg>A*#Gn5x!((B
;; #
;; COMMENT $(0N,Tg>A*#GnM$0D5x'J7{(B
;; COMMENT Sidney Lau's Cantonese transcription scheme as described in his book
;; COMMENT "Elementary Cantonese", The Government Printer, Hong Kong, 1972.
;; COMMENT This file was prepared by Fung Fung Lee ($(0,XFS76(B).
;; COMMENT Originally converted from CTCPS3.tit
;; COMMENT Last modified: June 2, 1993.
;; COMMENT
;; COMMENT Some infrequent GB characters are accessed by typing \, followed by
;; COMMENT the Cantonese romanization of the respective radical ($(0?f5}(B).
;; #
;; # define keys
;; VALIDINPUTKEY:	abcdefghijklmnopstuwy\\
;; SELECTKEY:	1\040
;; SELECTKEY:	2
;; SELECTKEY:	3
;; SELECTKEY:	4
;; SELECTKEY:	5
;; SELECTKEY:	6
;; SELECTKEY:	7
;; SELECTKEY:	8
;; SELECTKEY:	9
;; SELECTKEY:	0
;; BACKSPACE:	\010\177
;; DELETEALL:	\015\025
;; MOVERIGHT:	.>
;; MOVELEFT:	,<
;; # the following line must not be removed
;; BEGINDICTIONARY
(quail-define-package "ctlaub" "$(0N,Tg>A*#Gn5x(B"
 t
 "$(0KH)tTT&,!(N,Tg>A*#Gn5x!((B
 $(0N,Tg>A*#GnM$0D5x'J7{(B
 Sidney Lau's Cantonese transcription scheme as described in his book
 \"Elementary Cantonese\", The Government Printer, Hong Kong, 1972.
 This file was prepared by Fung Fung Lee ($(0,XFS76(B).
 Originally converted from CTCPS3.tit
 Last modified: June 2, 1993.

 Some infrequent GB characters are accessed by typing \\, followed by
 the Cantonese romanization of the respective radical ($(0?f5}(B)."
 '(
  ("." . quail-next-candidate-block)
  (">" . quail-next-candidate-block)
  ("," . quail-prev-candidate-block)
  ("<" . quail-prev-candidate-block)
  (" " . quail-select-current)
  )
 nil nil)

;; #
(qdv "a"	"$(01`;@R*+U&:;=-j!{B+$(1[5(B")
(qdv "aai"	"$(06n7e$(1Ar$(02:6aIRRF(B")
(qdv "aan"	"$(07o62(B")
(qd "aang"	"$(0\.(B")
(qd "aap"	"$(0U:(B")
(qdv "aat"	"$(0UM/f(B")
(qd "aau"	"$(0/p(B")
(qdv "ak"	"$(0AJ,F'._!(B")
(qdv "am"	"$(0F=TE]S(B")
(qd "ang"	"$(0]N(B")
(qdv "au"	"$(0OD^0OHJ,$(1KB(B")
(qdv "ba"	"$(0,E'<1A(=+D9>4QI_^_]>PH0jH<$(1A21m(B")
(qdv "baai"	"$(0BCXH<v39$(1Ec.=(B")
(qdv "baak"	"$(0(v*L+%-w/05e&4P\(B")
(qdv "baan"	"$(0TW8_AYId03W~0k,M-c!{$(1!C$(09o(B")
(qdv "baang"	"$(0ViYG(B")
(qdv "baat"	"$(0&-7g(B")
(qdv "baau"	"$(0'~5H52IhU6ZG$(1kM(B")
(qdv "bai"	"$(0J]?q$(1MR$(0PSUo<rJc:e(B")
(qd "bak"	"$(0("(B")
(qdv "bam"	"$(04*)&(B")
(qdv "ban"	"$(0M4>H<3$(1<@$(0V$$(1\t$(0.e2CGcR4UQXXY-$(1[3n8(B")
(qdv "bang"	"$(0;~!{(B")
(qdv "bat"	"$(0&c>,C./aDCJ6A%!{(B")
(qd "be"	"$(0;F(B")
(qdv "bei"	"$(0?8A,@-'SM|$(1(4$(0CQGW.9RX/?$(1+K$(0,+G=$(1E5$(0W"Wb9:9+0G3w&26?]z!{+n$(1fJ(B")
(qdv "beng"	"$(03dMo8k(B")
(qdv "bik"	"$(0I0$(13Q$(0KyRJZyXf(B")
(qdv "bin"	"$(0;6$(1Ck$(038$(1FvLQ$(01n^I[1D;'-TV]4\*Yk,z$(11Z(B")
(qdv "bing"	"$(0*!-e-x+/)D'`1'45:T(B")
(qdv "bit"	"$(0+2^+$(1PC$(0ZR(SIL(B")
(qdv "biu"	"$(01QTa$(1-q$(0O:?*;i^L[=(B")
(qdv "bo"	"$(06\$(1Ul$(01r?f(M+*@_HQ,dO3Pp7[ZZ/I@`[k6lZ;$(1D[V5(B")
(qdv "boh"	"$(04EC[O'0M.\QS$(13u(B")
(qdv "bok"	"$(0Mr$(1[m$(0F2@<IIL.>sLT0]:eI[Sl(B")
(qdv "bong"	"$(0-[UZ=<K'GrO|YU(B")
(qdv "booi"	"$(05.AT01$(12r$(04[QE-KQb8[BO(B")
(qdv "boon"	"$(0(%(\9p8eF1*s>R5K265)(B")
(qdv "boot"	"$(0>`7S>jO!20B9+y(B")
(qdv "buk"	"$(0&4P\X^!{:`&rIy(B")
(qd "bung"	"$(04K(B")
(qdv "cha"	"$(0!{3h7:&G$(12V$(09~F0,&HZRl@L!{(B")
(qdv "chaai"	"$(0=wQ=8):AR5?k(B")
(qdv "chaak"	"$(0BBC-'v/qHqA4(B")
(qdv "chaam"	"$(0;7^g$(12l$(0JnJo[qJ}_/^k,_$(1p((B")
(qdv "chaan"	"$(0[7E8>)U(B%V5$(1E{(B")
(qdv "chaang"	"$(0N}Rw(B")
(qd "chaap"	"$(0AG(B")
(qdv "chaat"	"$(0JWUiZL..$(14"\L(B")
(qdv "chaau"	"$(0,>DZ<&+Q0e$(12+(B")
(qdv "chai"	"$(0=_<E$(1.&$(0M}Au$(1/d$(0.g4h$(1Ae$(0C]$(1\M(B")
(qdv "cham"	"$(0@s,k1lJU,i^l!{O[$(1oh(B")
(qdv "chan"	"$(0?tJ9D@]sT68qD-2@$(1aB1%,K(B")
(qdv "chang"	"$(0NRAe(B")
(qdv "chap"	"$(0P=TS(B")
(qdv "chat"	"$(0&%KK3q(B")
(qdv "chau"	"$(04rYj/eI<ZP]0Ga\%LA$(1L.$(0&aWk9iB2(@0WWuEMR3$(1Y5(B")
(qdv "che"	"$(0-P'c,K$(1)I$(0;^-Z<|(B")
(qd "chek"	"$(0':(B")
(qd "cheng"	"$(0Py(B")
(qdv "cheuk"	"$(0XCL9-D&E.88&-$$(1-u$(0)s(B")
(qdv "cheung"	"$(0V<H\C(1\@\>A/z=yH$K$;A67K4ENW0F6CE/R;e(B")
(qdv "chi"	"$(0G?ZS*BD%./*:*~.oA"*;T[3Y9RR0S6>1:$KwMd[0Ev>'Q23>;3*$Ij7F-yY,({33NW$(1.8$(0@>EI$(1)O$(02G.t9-:+!{Q>IW(B")
(qdv "chik"	"$(0<RNi-L(Y$(1I7$(0(:<z(B")
(qdv "chim"	"$(0Z\^?OQJ>IwRp$(1U6Ah(B")
(qdv "chin"	"$(0&F^tTe^CVoX]2*=R\}\P^%\t$(1"H$(0!{QO($*k(B")
(qdv "ching"	"$(0OK$(1QT$(0L#<FC$Py+HZ4?_94VH1f=SA^$(1=-$(03DLo(B")
(qd "chip"	"$(0.f(B")
(qdv "chit"	"$(0'#JuJfKS$(1$Q$(0?DYM(B")
(qdv "chiu"	"$(0AhD?OSVR7LVK711q5a-:3P:^(B")
(qdv "cho"	"$(09xRhVbO;=+>PQV<^S*\HRB\CV6J4$(1&W+H^X^^(B")
(qdv "choh"	"$(0Q`$(1)4$(07d1PQ]YfFHXpO{F+Td9q$(1>J(B")
(qdv "choi"	"$(0GJ<4LC&`:CC{,Z1Z<iCmP[WT8(ES(B")
(qdv "chong"	"$(0,,@7Y/6ALjS~FpOqY`N^$(1!%$(0AU@0(B")
(qdv "chue"	"$(0?)Z<NZ[)UDUpGx3[D2*p$(1n.(B")
(qdv "chuen"	"$(0,[)uE/)AAH&V4s@D*l$(1q@$(0Xu&Q$(1_s$(03y>2803GB@:%$(1$K$(0?nMV!{!{(B")
(qdv "chuet"	"$(0O&/h$(15X$(0L=5D;I$(1Om$(0.I(B")
(qdv "chui"	"$(0.>+MDlTr:g$(1D9$(00fANWsJz<!E29aLJWX;_Q77C$(13y(B")
(qdv "chuk"	"$(01s^d$(1C#$(0,W?[L`8g$(1!)$(0^3(B")
(qdv "chun"	"$(03O$(1CV$(0]&98A(*1-W(B")
(qdv "chung"	"$(05n's<8,tPm*fY:Z1VzP^+Z(!X;05Y{:0EW6E$(1H>(B")
(qdv "chut"	"$(0'y\aX6!{(B")
(qd "da"	"$(0(U(B")
(qdv "daai"	"$(0&L<('QUc+E$(1Kr(B")
(qdv "daam"	"$(0;B9YRkW%B)=N$(1OX8H(B")
(qdv "daan"	"$(0+!@M&f$(1U$Pa$(0(ZNrPxN_?1$(1HB$(0Mg(B")
(qdv "daap"	"$(0C1Q<F/Om$(1'P(B")
(qdv "daat"	"$(0I/Rb$(1A|7x$(0^#(B")
(qdv "dai"	"$(0ME>JX"/6DM+&/k2u,/(c$(18:(B")
(qdv "dak"	"$(0Na<68X!{(B")
(qdv "dang"	"$(0C,[+S:BuJ"QR!{$(1B|jA(B")
(qdv "dat"	"$(0'z4t(B")
(qdv "dau"	"$(0-I$(18c$(0'H:o,@;(:d?YBr1,$(1A7$(0:(\#(B")
(qdv "de"	"$(08W$(1B%(B")
(qd "dei"	"$(0)c(B")
(qdv "dek"	"$(0>I$(1mo(B")
(qdv "deng"	"$(0-2:\$(1$p(B")
(qd "deuh"	"$(0*9(B")
(qdv "deuk"	"$(0Ba;<(B")
(qdv "dik"	"$(00|KA5bO.-*KXJGJ([6(B")
(qdv "dim"	"$(0X5$(15N$(0/4(B")
(qdv "din"	"$(0IZ.)GST{J=-0@eS)$(16E$(0F\[M]^IO^c(B")
(qdv "ding"	"$(0Ip.z5V&$(0@"T`L$$(1+T$(0&q$(1(K$(05m(B")
(qdv "dip"	"$(0KxPcT=]i@JG'(B")
(qdv "dit"	"$(0DF5d99DK$(10~(B")
(qdv "diu"	"$(0)S'?Tt<5$(1hV$(0<aP~GU(36I&0?m)$!{$(1O!$(0D1(B")
(qdv "do"	"$(0&/I-.02z?h;ZGHQ/,\WlB/+kF86077RSP*<JBzJ3$(1"X(B")
(qdv "doh"	"$(0)j$(1)Y$(0I$*9H~.3A3ND!{(B")
(qdv "doi"	"$(0'o3"?</*X8(B")
(qdv "dok"	"$(0]:TM(B")
(qdv "dong"	"$(0T%G6R>Ra\^$(1."$(0Us]9(B")
(qdv "duen"	"$(0B|Wv3uXKL'PA(B")
(qd "duet"	"$(0JE(B")
(qdv "dui"	"$(0JX;U+,Dj(B")
(qdv "duk"	"$(0SBGG3vZJ]uZISb_C(B")
(qdv "dun"	"$(0AV<QIbNERA$(1#D$(0D_I9(B")
(qdv "dung"	"$(0;00*U^NV'wH;Ao$(1%?$(0356F4#.Q$(1+O(B")
(qdv "fa"	"$(01E'((B")
(qdv "faai"	"$(0,9E\Gg@/$(1VO(B")
(qdv "faan"	"$(00\*HVn'1=258P/&<(hZjZO)~BmY)O>\!?pFw1T?JE"T&$(1,>(B")
(qdv "faat"	"$(0BvR"0OB^(B")
(qdv "fai"	"$(0AMU\D7+S11NY0QQBF>$(1j@(B")
(qdv "fan"	"$(0):'"RNV_1F$(19y$(0+K0B9NNBBP,y9@/DNsH/0!;g$(1Kh$(0X`:<$(1H{$(0Y4$(1aA(B")
(qdv "fat"	"$(0*t/>/B/[3x(RLIC4)2'gM_!{$(18]1N(B")
(qdv "fau"	"$(0+B;V8G=k1^6J*P$(1,o(B")
(qd "fe"	"$(0;>(B")
(qdv "fei"	"$(05{1gCSCh126OQ%$(16X$(0)oAZ$(1M{$(0LKTzA>(B")
(qdv "foh"	"$(04p?M'W).P{$(1A,$(0Pj(B")
(qdv "fok"	"$(0Tx^9(B")
(qdv "fong"	"$(0),6%0T'J/t+^1>19/S-`+l??9A9sE~7pEl3.WK,20(-;$(1A*$(09n(B")
(qdv "foo"	"$(0'4)0.L+x'Y@oM;>K:_PP;,O/JN,B1u-.O(6&/uCM/5LP5ZQ,@,'j5Y5W1b;b.M'h1N;J5<7=T23`$(1%S$(01@$(1-?$(0!{Q~R!WW$(1&r(B")
(qdv "fooi"	"$(07PM,*I31=)2YMvHa!{@X(B")
(qdv "foon"	"$(0]dNOB"(B")
(qd "foot"	"$(0Wz(B")
(qdv "fuk"	"$(0A'Po$(1)b$(00%K~TR@z)4C}Y<H);1YwPd(B")
(qdv "fung"	"$(05zVj&eYC2mFSHI76QaKn=r?bE&TC.aMz6)$(13{(B")
(qdv "ga"	"$(03_:vN$$(1!q$(0'|EaRIJ0J.$(1+($(07'@*HsP&Q|$(1d"$(0?7(B")
(qdv "gaai"	"$(0HY&vDk4MCz-p,<1G4RM'/$4V$(17i$(0:~+}$(1:T(B")
(qdv "gaak"	"$(05u8,9cIS:p$(1Av$(0LSY\U2(B")
(qdv "gaam"	"$(0B6Kr]~]}UT$(1pZ(B")
(qdv "gaan"	"$(0)n2dDgX|W*Z`$(12X$(03^^|^|ABRiOXT:!{(B")
(qd "gaang"	"$(09V(B")
(qdv "gaap"	"$(0(s+i>yU!ID50$(1U4(B")
(qdv "gaau"	"$(0<uI%))F-PO5h^:MP4BMnC8C)$(1%4$(0>4CrI"(B")
(qdv "gai"	"$(05U\,YgW5$(13Y(B")
(qdv "gam"	"$(01[&uEw(m3eAWP;TkG\R@(B")
(qdv "gan"	"$(01UL<Hz7~&[C3'IE0Y@$(1Hb4?)A$(0*c(B")
(qdv "gang"	"$(0=7,V/3ZgU)9ZGm6g(B")
(qdv "gap"	"$(0X2Cw3+(B")
(qdv "gat"	"$(00z)P8"$(1%9(B")
(qdv "gau"	"$(0-7Y.&';]5J0q2R-,5w&=-&A$<t.V0{$(1JI\D(B")
(qdv "gei"	"$(0&.@~:5S#$(1"T$(0;X3N4z,AL)*[:k\T["6z&X$(1!j$(0;m,5+s$(1.-$(0N>,^OkIo^f(B")
(qdv "geng"	"$(0[5U"(B")
(qd "geuk"	"$(0H'(B")
(qdv "geung"	"$(0N#$(1]9$(02[W/ZQ1.$(1^<(B")
(qdv "gik"	"$(0AlS0FL$(1'G$(0Ue1h$(1D$$(0A=(B")
(qdv "gim"	"$(0N-Uu6BN'(B")
(qdv "gin"	"$(0:{-E)62{;S17Wo<[H"(B")
(qdv "ging"	"$(07B@!9uGo-lJ;A`21J!>z^R$(15F$(0\AF:Bq\$$(1)3OT$(04e(B")
(qd "gip"	"$(0+7(B")
(qdv "git"	"$(0C9ON$(1+b$(002@.8+(B")
(qdv "giu"	"$(0^'(6NLVMZe!{(B")
(qdv "go"	"$(0:nP%+LS_8tLR9QSgYZP+GI$(1L3$(0M+(B")
(qdv "goh"	"$(0K;686Y(B")
(qdv "goi"	"$(0H[,R(B")
(qdv "gok"	"$(0\=)WUkM^-F0t(B")
(qdv "gon"	"$(0&\Em,`=34u-<M9$(13($(0C#:r(B")
(qdv "gong"	"$(0*AB,/&6MTf5!->L?<%,aWJ5s*,$(1YR2!(B")
(qdv "goo"	"$(0(-0J.W15.w3KDL$(1?h$(0.E*v.kIq^H]BDwI|I@U8Tn9P(B")
(qdv "goon"	"$(0L(2&_).{\u?LAiU)^eK!6#>v_J(B")
(qdv "got"	"$(0@5H7Pn(B")
(qdv "guen"	"$(07aZ&6w6'>8.;<WGp.-@;R;8D(B")
(qdv "gui"	"$(0.'Rd$(15Z$(0(<W)\k/#8}(IQ@Tb4665JJX)$(1X|(B")
(qdv "guk"	"$(0+~2"Ci-HP'X&$(1hoUB(B")
(qdv "gung"	"$(0'}&W&})B7I^n,S^4-s:F7)&_Qn3B:D:-(B")
(qdv "gwa"	"$(0(k3I<c$(13p$(0JQ.:.N(B")
(qdv "gwaai"	"$(0-f/g/J(B")
(qdv "gwaan"	"$(0[CJl(B")
(qd "gwaang"	"$(0?d(B")
(qdv "gwaat"	"$(0.1Qr3E(B")
(qdv "gwai"	"$(1+#$(0XP.xKh)e$(17^$(0XWU@M\5^:qHf8!I!D9<O$(1kXjg3s$(0J%$(1O]$(04X(B")
(qdv "gwan"	"$(0+J5]+bK?AxD^:V?6Gi(B")
(qd "gwang"	"$(0]3(B")
(qdv "gwat"	"$(0:m<]GeMt(B")
(qdv "gwing"	"$(047$(1*U(B")
(qdv "gwoh"	"$(0I50+'BLzApX($(1[6(B")
(qdv "gwok"	"$(0?g;PJa(B")
(qdv "gwong"	"$(0N])=(B")
(qdv "ha"	"$(06p&72EPeX%F?EoI2G.$(1Nn(B")
(qdv "haai"	"$(0T>U12gACQm=8ZtR]Wf(B")
(qdv "haak"	"$(02kUJ(B")
(qdv "haam"	"$(0MW;K2<\\=a.+@BU,(B")
(qdv "haan"	"$(05pDfDhNI(B")
(qdv "haang"	"$(1!R$(0+_*h(B")
(qdv "haap"	"$(15Y$(0728ZEG.H(B")
(qdv "haau"	"$(07h@2J~7y*T$(1$9$(0+TML3C8S(J6b+v2^(B")
(qdv "hai"	"$(0-81|Z_&|6s$(1LCp-(B")
(qdv "hak"	"$(0.,M7E*@?+-2,$(16D(B")
(qdv "ham"	"$(0R[+WDW$(1W$$(0Rc@[;/+c4i@u?yU$(B")
(qdv "han"	"$(03!>04A30RKU_(B")
(qdv "hang"	"$(0/26+*h6X*mT0321:;?,Y[A(B")
(qdv "hap"	"$(01o)Z>6G^4&+;!{Qq(B")
(qdv "hat"	"$(07z&@OvW].4(B")
(qdv "hau"	"$(0&H)\3&69@V1mB\25:S!{^y(B")
(qdv "hei"	"$(086$(1!B$(0:E6h,)@F,vN5B#:@RC=:K[N2\w?y=sUbIvNH[rS<VSSs(B")
(qd "hek"	"$(0)[(B")
(qd "heuh"	"$(0I^(B")
(qdv "heung"	"$(0)XX=]A-k5~7rDUMq$(1qJ(B")
(qdv "him"	"$(0TsWI'O(B")
(qdv "hin"	"$(0=u[y^PMC],:G<m!{RU5Q4jHK^CVo(B")
(qdv "hing"	"$(0S|M==H6PNc't\UVu(B")
(qdv "hip"	"$(0K:/G.77Y9^(B")
(qd "hit"	"$(0FY(B")
(qdv "hiu"	"$(0OOIuS!Xv\gRo$(1Oc$(0^((B")
(qdv "ho"	"$(0HA8J)pULUFM1=F9XEO$(1\O$(00#Bx]C^&(B")
(qdv "hoh"	"$(0*u?$(,0I.B$(1?D$(0D8.Y!{$(18X(B")
(qdv "hoi"	"$(07&De$(1"<$(08B89)+U.@4@6EA$(1d)$(0!{$(1Ub(B")
(qdv "hok"	"$(0RQ]OB'(B")
(qdv "hon"	"$(0@nKH4a*?'{$(1(v$(0X'-9St7f,U7O=qQd-vZC$(1AR$(0X9(B")
(qdv "hong"	"$(0<+9m*h0')LC/>;JjV]+?CKD{2t!{$(1Hf(B")
(qdv "hot"	"$(0B?@C(B")
(qdv "huen"	"$(0@@$(1ZK$(0;O'^[aCAH14N(B")
(qd "huet"	"$(0*g(B")
(qdv "hui"	"$(0Cq?C(+N8N@$(1GP$(08#F}$(18<(B")
(qdv "huk"	"$(0MN6_(B")
(qdv "hung"	"$(04($(1$$*N$(04yDu1)7G2DU58R5NX13|,g'7<V'!)>9b)KK]?i6((B")
(qdv "ja"	"$(1L7$(02HB5K(.T'f49D*!{!{)^?2(B")
(qdv "jaai"	"$(0X:E-JT(B")
(qdv "jaak"	"$(0?K)xLLRfS,XEJs9;YBJ2$(18[(B")
(qdv "jaam"	"$(09=O2<~JZ^FB7$(1Rk(B")
(qdv "jaan"	"$(0[&_5GA$(1U($(0ArL6\-N~$(1g,$(0WS(B")
(qdv "jaang"	"$(0<hGK={0i(B")
(qdv "jaap"	"$(0>eYdDv]rIQ8|$(1%`$(0Ml(B")
(qdv "jaat"	"$(0'E>U(_$(1Lc$(01R$(1.9(B")
(qdv "jaau"	"$(0,GN4-=^vGv,O'X(B")
(qdv "jai"	"$(0.2L|V%Ug>CR9McKJ'k^!A?(B")
(qdv "jak"	"$(02-;"&w(B")
(qdv "jam"	"$(00)8A3,F;:]$(1`!g+$(0R)(B")
(qdv "jan"	"$(0YY8z7Z4GQi:c)b$(1Ax$(0M5(B")
(qdv "jang"	"$(0NA$(1g>$(0IsNpAe[%$(1Ob$(0;|Ti!{L/$(1^P(B")
(qdv "jap"	"$(0(e;[(B")
(qdv "jat"	"$(08jEb$(1%<$(02bQ3>E(B")
(qdv "jau"	"$(03{:Y=%@t*b)}-MAP?:.SDO$(1TU_P$(0/-.JOt.}2XAFI:$(1Hx$(0;M@U4x2%5-(B")
(qdv "je"	"$(0?V106..mWM$(1[0$(0PRQLE@K5^/(B")
(qdv "jek"	"$(0(8:j:49f0g6e(B")
(qdv "jeng"	"$(0&k=h$(1.($(0QQ-b(B")
(qdv "jeuk"	"$(0:[Cb?{V;[f[Z$(1RU(B")
(qdv "jeung"	"$(0<0D0;sPZA@1\OIO?Od)MYRR}IzO6?~JeK=KN,]&8<)Q.'nCOSKMb63<H[?W8$(1!4(B")
(qdv "ji"	"$(0&N*]C<)t1"Ab,6M#&g2]=jHr0Z'P(8:j:49M*^)zEH*zIf&Z1?0/'F+VLs139\+`3A?R*0Nx55P:GuG`>/9|29BF+w4wT?1v1M.q1%4k92To$(1,v$(0>f$(1>m$(0]U(B")
(qdv "jik"	"$(0VeE>Y*X~1!\'+<SYHyYI;nY31#&K*C7;L_AyB&6-KE$(1(F$(0Z#$(1_6(B")
(qdv "jim"	"$(0){KM\F9!XnHj$(18%$(00KTv((*}\D(B")
(qdv "jin"	"$(07/X]L*Fu;+9wY7Q9Q-P-U*$(1SD$(0P!B(V"W^R^$(1&qS%(B")
(qdv "jing"	"$(0Nb(`T|D&Z}3JRmGCA_L5I]5X;!Lf/=/F@|8l[|K}$(1H:(B")
(qdv "jip"	"$(0<Z\e2I(B")
(qdv "jit"	"$(0Gh,LJq<[GD8C6Z$(1_6(B")
(qdv "jiu"	"$(0T'AzBQE7/^0LM8Fz(/$(1I+$(0D($(1I$$(0!{Ah(B")
(qdv "jo"	"$(0*/>[?`:y9/QNVa$(1cl$(0\2Am:*-1-#97!{93(B")
(qdv "joh"	"$(0+e+81a(K*w7?1~$(1.@(B")
(qdv "joi"	"$(0)d)C2;-%7%I&Fa$(1(5(B")
(qdv "jok"	"$(0+#_E3U3k(B")
(qdv "jong"	"$(00nY/]/]q^)H6O8$(1"=$(0>~HS+jNz+hLW(B")
(qdv "jue"	"$(0'e*o0DD"CbPzQ)8.8bCv*8>?HeBU/Y?,]|VlQx-~:#$(1)i$(0MT$(1\;(B")
(qdv "juen"	"$(0E/;r5'YL[($(1mS$(0_>@rTXSU\fYq(B")
(qdv "juet"	"$(0C;$(15X$(0L=;I$(1Om(B")
(qdv "jui"	"$(0@3QU,*.F0p8o0ULN?0<yD)N6GwA{Tj:RYDNC\`$(1H]$(0UV(B")
(qdv "juk"	"$(0-N=!\~1x\>$(1GL$(0VWC7DJ?]*MV7_4^^C5Sa917_S-J'.r];[8$(18Y$(01+(B")
(qdv "jun"	"$(0DQKqR26HFn3~7nXa733`C+8HX,S{Rt]<$(1,a(B")
(qdv "jung"	"$(0&dL"$(1,]$(0>9Vl.yVk>]Ie?EM"4\/A\MH()5YzAjYHL8E5Wt>p$(126$(0L4(B")
(qd "jut"	"$(0.6(B")
(qdv "ka"	"$(0('.C$(1##$(0!{(B")
(qd "kaai"	"$(0FI(B")
(qd "kaat"	"$(1)?(B")
(qdv "kaau"	"$(0QkQ\(B")
(qdv "kai"	"$(02WP(<w:=FrWQ(B")
(qdv "kam"	"$(12}$(0ZwBeRjG^R<$(1#U(B")
(qdv "kan"	"$(0E<1D(B")
(qdv "kap"	"$(0'0+OC@,x9J$(11g(B")
(qd "kat"	"$(02>(B")
(qdv "kau"	"$(0*+?lHRK-$(1'=$(0,fFeWU*_H,;k>!$(1)!$(0(1EdIn$(1(i(B")
(qdv "ke"	"$(0YxSL5=*y(B")
(qdv "kei"	"$(0Aw.(Ag4lK");G7R6.b0?;y1&,$B_GZ$(1Hh$(0[]]L(B")
(qd "kek"	"$(0N*(B")
(qdv "keuk"	"$(024RE(B")
(qdv "keung"	"$(0<1$(1gUF6(B")
(qdv "kim"	"$(0U>IA(B")
(qd "kin"	"$(0:&(B")
(qdv "king"	"$(0E1[TUd@#ZN$(1kC(B")
(qdv "kit"	"$(0Qo$(1PZ$(0ALL&Zs$(1S{$(0&OPIZ)(B")
(qdv "kiu"	"$(0[/R~@SI{O*Y(Ut(B")
(qd "koh"	"$(1H;(B")
(qdv "koi"	"$(0FNLeD\BGA6P"&bOx(B")
(qdv "kok"	"$(0O}$(1>R$(0:W=[K/UN(B")
(qdv "kong"	"$(0,?XD-+[}&n0c)-$(1A8$(0Z:(B")
(qd "koo"	"$(1L](B")
(qdv "kooi"	"$(0N.V9ZcHtN&OVW'$(1bj(B")
(qdv "koot"	"$(03EWPCH(B")
(qdv "kuen"	"$(0]cHn$(1q~$(07U(B")
(qdv "kuet"	"$(0?A,o,C9O$(1'q$(0@=J$[!$(1Oh$(0&P!{(B")
(qdv "kui"	"$(0;5/nQ}/]DB66YK]EB3+)^iJ[$(11K$(0Xm(B")
(qd "kuk"	"$(0*3(B")
(qdv "kung"	"$(0P,1*(B")
(qdv "kwa"	"$(0)lH`Lx2T$(1*Z$(0H{9h$(1%;(B")
(qd "kwaang"	"$(07|(B")
(qdv "kwai"	"$(0?>4UW6>5S^H2F%\n$(1:6BY$(0DN(B")
(qdv "kwan"	"$(0+[B{GqQJC'Cf.^/{;}7]HPG{Tm(B")
(qdv "kwik"	"$(0Ma$(1Si(B")
(qdv "kwong"	"$(0[}Z:(B")
(qdv "la"	"$(1^N$(0@I;;2+(B")
(qdv "laai"	"$(0/WTK(B")
(qdv "laam"	"$(0Y1XQ\1;c\&^`]+_:V)\<!{(B")
(qdv "laan"	"$(0]#\r[pW|[u$(1pR$(0Z6\v$(1qD(B")
(qd "laang"	"$(0+1(B")
(qdv "laap"	"$(0Zi$(1?2$(0.X]($(1Me(B")
(qdv "laat"	"$(0M?[2$(1L&(B")
(qdv "lai"	"$(0-t[^=vR.Xq9tN0UE\c_H$(1kukE(B")
(qdv "lak"	"$(0;-*Z$(1!3$(0!{(B")
(qdv "lam"	"$(0N)B`00TwW(=U!{(B")
(qdv "lap"	"$(0)"'x>O>G(B")
(qd "lat"	"$(0(p(B")
(qdv "lau"	"$(0KFO=8i3}Fo8`K2>>YsN,Oo3l;`JwVX5q$(1Ab$(0J/$(1jp$(0[@$(1d-^T$(0]I(B")
(qd "le"	"$(02K(B")
(qdv "lei"	"$(0,X+4>"Oh1z$(1)<$(0=@_&$(1^9$(08\Yc$(17g$(0K@$(1mX$(0-_HTZ"?")QNSN)6^1}@T7!QcSr(B")
(qd "lek"	"$(0(>(B")
(qdv "leng"	"$(1UZh6(B")
(qdv "leuk"	"$(0>*<U(B")
(qdv "leung"	"$(0=.OC.&DY6,X}=JGl-AQC1jPu(B")
(qdv "lik"	"$(0&1S&RnZD$(1eA(B")
(qdv "lim"	"$(0]6En/,ZYUnW&U~(B")
(qdv "lin"	"$(0?Z$(1Pz$(0Nn$(1&p$(0FyP8PUKO[9XG(B")
(qdv "ling"	"$(0C`Mk(7^rI\$(1<V$(0FR/s4F\bIJ+'>b6G?sUW$(1&F$(0'p$(1%p$(0>h(B")
(qdv "lip"	"$(0Xe$(1/>(B")
(qdv "lit"	"$(0)EC|8U.*(B")
(qdv "liu"	"$(0JR&(VLO$>gIxVDS=T\$(1JOj?$(0Jb7jN3$(13F(B")
(qdv "lo"	"$(0H|]@SN*SN|@9-'-r2a$(1QG$(0\6_.Z3[xRe@&KYH@R(Hw$(1W{$(0_8N1X<$(1P.$(0Z?$(1Ne$(0!{^{VC$(1jI$(0!{$(1mu$(0_B(B")
(qdv "loh"	"$(0Zd]\2F^GW>^K_@_'L{OM!{[>(B")
(qdv "loi"	"$(0-uCc<;*VGF(B")
(qdv "lok"	"$(0O@H0MUHpI=8T4)U0C?ZHO@(B")
(qdv "long"	"$(0=}G,FF8YA!5i7x8<Ac$(1:P$(0Pa(B")
(qdv "luen"	"$(0V{]_^8]]_3E+^7$(1mL(B")
(qd "luet"	"$(0)J(B")
(qdv "lui"	"$(01t-_HT[K>\=bO~IY]7W-UCX?Rg+IQ^7lJYVgNeX[]HZh;L/T(B")
(qdv "luk"	"$(0Th@'&{?u[_GTG[NvB*L;(B")
(qdv "lun"	"$(0-|<"+=<fQG6@=eLDQ"VNQP^Y+>[.^\(B")
(qdv "lung"	"$(0[s\{U?]o[b]mVVDoZ/Z9[D,.[z(B")
(qdv "lut"	"$(08%F!3$!{=|*X(B")
(qd "m"	"$(06](B")
(qdv "ma"	"$(0@)G;Ee:lP#KgT-PGJ)ED(B")
(qdv "maai"	"$(0Q16mD:We(B")
(qdv "maan"	"$(0G]$(1!&$(0Jk=&[O_(PX;8KQR7^.(B")
(qdv "maang"	"$(00~Tc=x.vLpL\(B")
(qdv "maau"	"$(0-(TJ59(zIP()M3$(1*x(B")
(qdv "mai"	"$(0Ow$(17M_q$(0:MWG*N2B(B")
(qdv "mak"	"$(0@(9dR/U=5r]G$(1I6(B")
(qdv "man"	"$(0'GLM(b;C/Z<xNoM]0A:'9C+N9D)H0_Dx$(1i?(B")
(qdv "mang"	"$(0CeGB(B")
(qdv "mat"	"$(00mLn;p])''$(1!"$(0WO(B")
(qdv "mau"	"$(03]D<YAT<*J8f5?$(1%G$(0><(B")
(qd "me"	"$(02J(B")
(qdv "mei"	"$(05"(],#4`Wm@q@g[HV^Es.AW3$(1;C$(02}6y!{!{$(1FK$(07i^"$(1^J$(0X3(B")
(qd "mi"	"$(02B(B")
(qdv "mik"	"$(0?=$(1$T(B")
(qdv "min"	"$(05t\]+.LB;)2/6}P<A|8{(B")
(qdv "ming"	"$(0)Y/}.U(xT,MxMS6D:!I>(B")
(qdv "mit"	"$(0PYFgVY(B")
(qdv "miu"	"$(0+oAA5BKsY24qBAN[Wn$(1:V$(0YP0,$(1=.$(09<(B")
(qdv "mo"	"$(00>BS(a;.NyO</i.lJ<O1E:Ng'T2$@{,(M%T)'RL[1y(T[G$(1)POo$(0NK[Y(B")
(qdv "moh"	"$(0&>M{Jv\4STNw]JUR!{R-(B")
(qdv "mok"	"$(0>|6NPMKDJOJ^R7(B")
(qdv "mong"	"$(09r,4&B-B*%>{L>$(1"i$(0=-)m1-(B")
(qdv "mooi"	"$(0080v==!{QjFx@i,e3R.iR%(B")
(qdv "moon"	"$(0KI611]SQA-$(1[7j^$(0YF(B")
(qdv "moot"	"$(0(^,u/\0N5@0@(B")
(qdv "muk"	"$(0'N(yGE0lS[!{5E,p$(1HC(B")
(qdv "mung"	"$(0LaV'ZTXOJCZ7XM$(1id(B")
(qdv "na"	"$(07W-\6c6v7c!{(B")
(qdv "naai"	"$(0*=&&:O(E(B")
(qdv "naam"	"$(023-/@K@v$(1F?(B")
(qd "naan"	"$(0[E(B")
(qdv "naap"	"$(0+RD]9L?B(B")
(qdv "naau"	"$(0O"R$$(16T$(0.O\N(B")
(qd "nai"	"$(00H(B")
(qd "nam"	"$(1TG(B")
(qd "nang"	"$(09e(B")
(qdv "nau"	"$(0,DD[9H*6+m$(1\\$(0Sw$(1Ri(B")
(qd "ne"	"$(0.R(B")
(qdv "nei"	"$(0+$.s(HMp4".jSy<AU[[v=$$(1aqf3H?(B")
(qdv "neung"	"$(06u[i(B")
(qdv "ng"	"$(0&mM)=6+A+G7\$(1C:$(0'*)1='7M$(1!m$(0EJHD\_(B")
(qdv "nga"	"$(0(l1B'\:.HMDt?@$(1!v#!(B")
(qdv "ngaai"	"$(0*e;{=V'$<_(B")
(qd "ngaak"	"$(0Ym(B")
(qdv "ngaam"	"$(0VE/((B")
(qdv "ngaan"	"$(0DsYn>:(B")
(qd "ngaang"	"$(0B~(B")
(qdv "ngaau"	"$(0=i27'Z18U-$(1=)(B")
(qdv "ngai"	"$(0)OGOTy6>\j:tY|ZqZkOGHb]Z$(1fQ$(05#(B")
(qd "ngak"	"$(0+F(B")
(qdv "ngam"	"$(0<.[[(B")
(qdv "ngan"	"$(0DzMQ]V(B")
(qdv "ngat"	"$(0-V)|&C$(1!+!I(B")
(qdv "ngau"	"$(0']IH'&Zm:|PK(B")
(qd "ngit"	"$(1aL(B")
(qdv "ngo"	"$(0E.<sO_SuVx(B")
(qdv "ngoh"	"$(0,=1;HG75Z'1{?F6~Qt6d$(1U>(B")
(qdv "ngoi"	"$(0+E$(1Kr$(0(AZUM[(B")
(qdv "ngok"	"$(0DS/+UX$(1ZR$(0WyYpO@(B")
(qd "ngon"	"$(0/'(B")
(qdv "ngong"	"$(0/|$(1!8(B")
(qd "ngung"	"$(1,;(B")
(qd "ne"	"$(0.R(B")
(qdv "nik"	"$(0\";4Fk(B")
(qdv "nim"	"$(0/C;G/cX4(B")
(qd "nin"	"$(0*"(B")
(qdv "ning"	"$(0XRV=JP$(1!S$(00[V#$(1'g$(0*rUG$(1i`(B")
(qdv "nip"	"$(0<nO)7^Y+_6YX8N$(1q}(B")
(qdv "niu"	"$(0@%,"HU(B")
(qdv "no"	"$(0+9H+A7(D3(/;(B")
(qdv "noh"	"$(0U`\($(1kO:U(B")
(qdv "noi"	"$(0.c&z5%Qu$(1+8(B")
(qdv "nok"	"$(0T@!{(B")
(qdv "nong"	"$(0][]h$(1p~(B")
(qdv "nuen"	"$(0JIFA(B")
(qdv "nui"	"$(0&M$(1:$(B")
(qd "nuk"	"$(12s(B")
(qdv "nung"	"$(0W$S+I*N%RD(B")
(qdv "o"	"$(0S/ZxE`R\E](B")
(qdv "oh"	"$(05;3c@HRH;dDI!{(B")
(qdv "oi"	"$(0Ey28Os\3$(1V_$(0!{^s(B")
(qdv "ok"	"$(0A+$(1Od$(0R?;TA2(B")
(qdv "on"	"$(0)y7{Ql883;$(12.$(0MX(B")
(qdv "ong"	"$(0Ms$(1(M$(08x(B")
(qdv "pa"	"$(0/K(W9W5\0hBd0-(B")
(qdv "paai"	"$(0<kBW4'6;(B")
(qdv "paak"	"$(03jR&>Q;:///j4H(B")
(qdv "paan"	"$(0,IZ84c(B")
(qdv "paang"	"$(0OTAt=oA&A}GVSz[\!{(B")
(qdv "paau"	"$(04:9*+6IG:B/b.KDE0[(B")
(qd "pai"	"$(0,H(B")
(qdv "pan"	"$(0ZEN;U#?O(B")
(qdv "pang"	"$(0RV0&(B")
(qdv "pat"	"$(0')(u(B")
(qdv "pei"	"$(0\@(wMI$(1,O$(0/_Bc8mBs,!.D'b)9;f0.IN(B")
(qd "pek"	"$(0N+(B")
(qdv "pik"	"$(0I)]=]?N"Xi(B")
(qdv "pin"	"$(0I6P>P2;$'[[RPh(B")
(qdv "ping"	"$(03<(N/d\7$(1-1$(0X+8~G})%.ZCZ>&D$2o$(1)($(02\7"U/(B")
(qdv "pit"	"$(0JrSS!{$(1!_(B")
(qdv "piu"	"$(0>BPQ\RKGSHE9$(1I2$(0JK$(16A(B")
(qdv "po"	"$(0Z{A\/m>iQ[$(1S0$(0?'H:Lc6i8@?;22Fh$(1j:(B")
(qdv "poh"	"$(09$;hMj(5!{$(1]e$(0DG(B")
(qdv "pok"	"$(0(XN{*7RuN:$(1jE(B")
(qdv "pong"	"$(07kLQ:,@+WHZ2$(1YQ$(0FcT+(B")
(qdv "pooi"	"$(06$:Z;\LyQ*?r-z8a,m$(1%s$(0CW<95+!{$(1UX(B")
(qdv "poon"	"$(0OuK8OY+3/X4ZP$(B")
(qdv "poot"	"$(0OLIB(B")
(qdv "puk"	"$(0&rIy(B")
(qdv "pung"	"$(0P]VZ<\GQ(B")
(qdv "sa"	"$(1+V$(0]e>u4f,h9B5&',$(1!FAy$(0HNZ!(B")
(qdv "saai"	"$(07q^;<7ZM9l(B")
(qdv "saam"	"$(0&6&65R$(1:#(B")
(qdv "saan"	"$(0&UAXSd;^4D+5*D3aOU5o.n56DD(B")
(qdv "saang"	"$(04](n(B")
(qdv "saap"	"$(0+d(#9"Tu(B")
(qdv "saat"	"$(0O%Y0=E2'G"[>(B")
(qdv "saau"	"$(0T~=07XC"6T$(1FL(B")
(qdv "sai"	"$(0>Y*jE='aM(?\RGSe$(17X$(0@hBY4$$(1>n(B")
(qdv "sak"	"$(0ES!{(B")
(qdv "sam"	"$(0'A4J,jNP$(19p$(0,8=fX@KW&pAq,%(B")
(qdv "san"	"$(090F<-O=((t*\-R9%.G*{6{>ZCNE}W+QX-Q(B")
(qdv "sang"	"$(0(nBj4=(B")
(qdv "sap"	"$(0&3V/3FV+(B")
(qdv "sat"	"$(0(CJS1O2jG/PN(B")
(qdv "sau"	"$(0\OY$'D&sE{*.6<5})w;H.@JA<gOpZKKLF3S}J+>a-56S?#$(1B#$(04@$(1d+S1(B")
(qdv "se"	"$(0NQ1$7--i1=<p?Q$(14'$(0M6?+.<XY$(1#'$(0]R(B")
(qdv "sei"	"$(0(?*<(B")
(qdv "sek"	"$(0(|K{Tg(B")
(qdv "seng"	"$(0H%Vy(B")
(qdv "seuk"	"$(02)^M(B")
(qdv "seung"	"$(0YeX$4_&9;9Ex<'J*UB!{E3Q+/!LwA#_,P.WCB8<<JH[hOF$(1Qs(B")
(qdv "si"	"$(0G~-h3S(L7m-q(}H^(93)&J7<D!G)3M&T2nQzEE'l-o'UH]A[O#N<-4(4C>2r!{$(1_\$(0Ep!{$(1H8`$$(0?H;37E(B")
(qdv "sik"	"$(0*d<I06*#7KIi\LQK$(131$(05|LtZ|3=/xA]Tg<?K^EgI'$(1E=Nk$(0Lq$(1?>$(0W@(B")
(qdv "sim"	"$(0:aY9$(1-7$(0:fNJ$(1Wn$(0VT(B")
(qdv "sin"	"$(0)@P@K\R_SxCD7TY!MZ'q$(1A_$(0X-H*Gz$(1?*$(0]k$(1%O$(06*$(1$J$(0!{!{\Q(B")
(qdv "sing"	"$(02SVy@:$(1-$$(0A1/M'+0$:i/V**6!HcG|$(1!P$(0>7Zb@83TB]T_.p)#$(1Np$(0H%(B")
(qdv "sip"	"$(0\m\l8F(B")
(qdv "sit"	"$(0^>*`FK0R7.W2Wq(B")
(qdv "siu"	"$(0&R9?N=QZ'8)?8>S9Mi1V>VT(B}Qg7*LOXw(B")
(qdv "so"	"$(0\8Bk^59EO0F4\X<bEhXIDXETF`D,EP$(1M.$(0S\D}^*(B")
(qdv "soh"	"$(0/UPV8$>.E4Lk=;6[KfYV$(1Az$(0EC6t$(1F7(B")
(qdv "soi"	"$(0H&\Z(B")
(qdv "sok"	"$(09F7vJ1$(1B&(B")
(qdv "song"	"$(08'EB@G=t$(1gu(B")
(qdv "sue"	"$(07u83TTIrO9,JCUW1AaE)Rz*)Q(<-F`!{(B")
(qdv "suen"	"$(0L,MMP17#>tLdF5+P2h="TZ$(1R,(B")
(qdv "suet"	"$(0M*?|(B")
(qdv "sui"	"$(0D}^*'VC%X#Mf2NG:L3=lG0J?Gs^UGPFZVUI.Tq9.:/2vQ!KvC=LFCXYO<25*(B")
(qdv "suk"	"$(0.?CI\i=W]v;jO^HFVdC6$(1H|$(0;o)i;%J:P_(B")
(qdv "sun"	"$(01k-UQT6f=K9GC2VJD|CVHgIl84*F::MBPw:"3%$(1%A(B")
(qdv "sung"	"$(005Y{;wV|Nk:K+{!{Ej$(1>b(B")
(qdv "sut"	"$(037.=([?55_Jt*(W7(B")
(qdv "ta"	"$(0'm$(1(C$(0(G-))q$(1H6(B")
(qdv "taai"	"$(0'5Ji$(1:<$(0D=8;!{,q$(1#;A/(B")
(qdv "taam"	"$(0Pv?NG9OPZ~<YC~(B")
(qdv "taan"	"$(0J-OE]b^b]fRLUr.]?9Kz48$(1&*#x(B")
(qdv "taap"	"$(0EZEXWZ+aMF(B")
(qdv "tai"	"$(0^V$(1"~$(0AIYo$(1>A$(0@]DrH.P7=/QYTL@AAfUK8=2($(1^w$(0;uT86|(B")
(qdv "tan"	"$(0+@$(1"Y(B")
(qdv "tang"	"$(0\WZnOZ(B")
(qdv "tau"	"$(0U%;#,N?a(B")
(qd "tek"	"$(0Q;(B")
(qdv "teng"	"$(0_#H-(B")
(qdv "tik"	"$(06L<L$(1-y#wU5(B")
(qdv "tim"	"$(0<D=Q>(34LZ$(1+I$(0RWYv(B")
(qdv "tin"	"$(0'3Ff*|EY(qCP4O(B")
(qdv "ting"	"$(0,-:u]p+Y$(16p$(01i7>7`$(1Mr$(0@f$(1U;$(0HCQh$(1$n(B")
(qdv "tip"	"$(0D3/.(B")
(qd "tit"	"$(0]8(B")
(qdv "tiu"	"$(0=?P~3H>=H}-{$(17aNj$(0>F$(1q/kJ(B")
(qdv "to"	"$(0?x$(1%X$(0;D$(1)D$(0<l$(1C7$(0;t?e)T&I6qJ8.#-?W[ZVV(FqGtCl8-:Q=d:77A$(10@$(0EV?&(2[IXb$(1:'(B")
(qdv "toh"	"$(0>q/oU71_IkQwR|+u@O*q0F(B")
(qdv "toi"	"$(051(;LXMmXU3tME5F/r(B")
(qdv "tok"	"$(0*-:;/`$(1@[(B")
(qdv "tong"	"$(0EU6UB>VFF.;YAkPLSh6:QA=OQ6S>]YOa!{$(1R}$(0W9Wi(B")
(qdv "tuen"	"$(0J7\)+\';W#(B")
(qd "tuet"	"$(0>l(B")
(qdv "tui"	"$(0LU<eU&HHT1:N(B")
(qd "tuk"	"$(0-6(B")
(qdv "tun"	"$(04b!{(B")
(qdv "tung"	"$(0?X)RBo>T8pWN8*$(1H4$(0VGMR,0C*=4$(1/9$(0C0$(1Ah$(0It$(1!J$(0!{9`$(1bn(B")
(qdv "uk"	"$(02qB4(B")
(qdv "wa"	"$(02?N7ZzBlC_Hd>+CsL$$(1+T$(02`$(1jC(B")
(qdv "waai"	"$(0Z.+fZ5$(1$&$(0=g3r(B")
(qdv "waak"	"$(0/QBlA*)GJ#(B")
(qdv "waan"	"$(0_%WdV@$(1lP$(0<>2i'=]`Ia7bM>$(1dp$(00s(B")
(qd "waang"	"$(0Rx(B")
(qdv "waat"	"$(0G+Fm3:(B")
(qdv "wai"	"$(0F[V8$(1j%$(044T]TB*n@Y;ELEXsT;K3Nd(&A.2e5vI18/<NV1H3Ck.h:zP9PT4L5,@EB<;qNjPl:}@N(B")
(qdv "wan"	"$(0&jDyI+[JFl'%MwBE=\OnZX&h9U$(1H0$(0IT&y\9WjF@$(1ZL$(01I$(1YhK0$(0K<(B")
(qdv "wang"	"$(0+|(Q(B")
(qdv "wat"	"$(0/"64(B")
(qd "wik"	"$(0;R(B")
(qdv "wing"	"$(0(d(VK+SZD#0EUY$(1QD(B")
(qdv "woh"	"$(0.P$(1n~$(0Wr(~L!PfB=L%6=@kGf(B")
(qdv "wok"	"$(0V>ZW!{$(1n:(B")
(qdv "wong"	"$(0A)/<E(VOPiXx4W;*A9F~,n'_04/w(B")
(qdv "woo"	"$(08V*E*@B:0r5/[SG-@dH4PbP6A.]-&lKU'CEKYW-C$(1!{=vK;$(0<T$(11M$(0>%(B")
(qdv "wooi"	"$(0)`:PFEE?Eq3#Cu(B")
(qdv "woon"	"$(00sAQPB7}@QKpG!BHQ'GRBwCJ2QAO)(6K(B")
(qd "woot"	"$(04%(B")
(qd "ya"	"$(0&?(B")
(qdv "yai"	"$(0*43@(B")
(qdv "yam"	"$(05x)7E$B$Hv'2+tPW?v+X=c$(1:LC|LS$(0[F(B")
(qdv "yan"	"$(00=?G&*7J,7'@)N)_$(1ic$(0_+&o&D4{$(1$%$(09y852f;lX!(FH?Kj53'r!{8:$(1Ni$(0:)(B")
(qdv "yap"	"$(0&,0CAK-XLb(B")
(qdv "yat"	"$(0&"'K@cDPF_++-}Y[(B")
(qdv "yau"	"$(0'd$(1%{$(01X*5(r'9&55lAD3\)32xUA$(1!k$(0<@NhDTIEBZ0SB-I,-]'/(.*x9,I?M-(O.!,T$(1%h$(02IG(Ob$(1Ng$(0?3R'X7Z+(B")
(qdv "ye"	"$(0.`EzFM5(G&?j+0:x(B")
(qdv "yeuk"	"$(0]1$(1ZQ$(04}'L7@5MKl5>Zo$(1Fz$(0_-$(1aC(B")
(qdv "yeung"	"$(0U9O5(B[o3z^o[g[c^j3s96FOAS-mKm*QDm87)8$(17C$(0[{QsKC3']l7DMh$(1mh(B")
(qdv "yi"	"$(0YQ6/K`.$&+&)'i>DEu*UGy/y>-$(1">$(0\?Kk.|Pt/L&Y*WUj$(1N`$(0-n)/*iU')kN!9]-"2_XAAn-3H!R:$(1%:$(0]aR=2=2LKTL@$(1Wm$(0K#$(1NdlNe/(B")
(qdv "yik"	"$(0M~,PVw:L<XCL=M,3V}4P)*RZ8v\B>cZa2|2V^SLr/y(B")
(qdv "yim"	"$(0[e0d'u3ZEcJ&BR^T$(1[U$(0=Z^}Tp.d<`^m$(1.*$(0]X$(1F3(B")
(qdv "yin"	"$(0/9>S>#-GS;BT4gFvS@Q0>r=IC!6V2~7($(1oP$(0T9=p2A/8K>@^2#$(1qx$(0B;+qJM9_L+^1$(1@G(B")
(qdv "ying"	"$(05CN`,12OM&R8&tU])F-Y\qUP^z^BOfT.V3K_Zr1S\E4Y3Q]wRP[dZ@_F(B")
(qdv "yip"	"$(0H5FG5y[j(B")
(qdv "yit"	"$(0O`N9TA9j(B")
(qdv "yiu"	"$(0Y"H#5S\/XF$(1$2$(0Wg+pKeF7@ZMDWL2c9k'6)]$(1BkW"$(0NMXL(B")
(qdv "yoh"	"$(0@P6W(B")
(qdv "yue"	"$(0LY$(1!0$(0/v1eM$&A)r&i_"9}\;R1US-g*>+(2!I8$(1Zq$(0@$A:BDKVDn6xUV4n)v*R)U_LI3@R74<:SXE|Xk].@pHVI`THE'-S=P0}FUH?EtWa4o$(1A`$(0TDUI+rG8$(1No$(0!{$(1LUR_$(01<$(125$(04v?}^2$(1>4(B")
(qdv "yuen"	"$(0U<M@6`+z6Q&x0Y$(1Cc$(0?U-aIF&;$(16n$(0<B.~;a[m(iSm8y=]6C:1W`EQERG*FdP?5GJh[L3-:b$(1(U$(04<IKMy$(1E,(B")
(qdv "yuet"	"$(0'M)!GnD>&#7RQf$(1VL-bH=(B")
(qdv "yui"	"$(0T!Q_1HHOKu(B")
(qdv "yuk"	"$(0(j-@*Y:JT3,w*25j_I=DNlKc8IF]$(1nV$(0Ic3V$(1H9(B")
(qdv "yun"	"$(0DdOW(B")
(qdv "yung"	"$(08KB1<,$(1gO$(0(o2.T/7+*'9vL]KZFbC:&~EL9SR`+"E,V~$(1o;$(0IUTN$(1NF$(0HB<=1p$(1:W$(0:UK)--(B")
(qdv "\\beng"	"$(1b9$(0Xj0y!{4T8n8s$(11*$(0!{$(11'$(0!{8r!{>3$(1>8>;]d>5E1$(0G<$(1E4$(0G>$(1E7]cR:L)R9$(0!{$(1L'R;RAX\$(0OrOl!{$(1XXX_mdX]]a$(0]j$(1X[$(0!{\z!{$(1b8$(0!{(B")
(qdv "\\booi"	"$(0D6$(1@Q@O$(0D5$(1cb$(0HuHx$(1lBTWN=$(0!{$(1TY(B")
(qdv "\\che"	"$(0:H?T!{$(1oW@f@n$(0!{$(1n6@e$(0I($(1H#H"$(0M<QIQDQHTU$(1cs$(0!{(B")
(qdv "\\chung"	"$(1c8(kfq$(05P$(1-J$(05O$(12]2_2e2o2k$(0?-?.?/]%$(19*9)$(0?4$(1fl90@#G/$(0Y8Ct$(1Z8$(0CxCy$(1is?v@&$(0HJHE$(1G3$(0HL$(1G8G5M_MdMcMk$(0W?$(1Mt$(0LvLuLm!{$(1itT'$(0!{$(1T#$(0!{Pk$(1Sk$(0W=$(1SlT%Z+_5$(0!{W:L/$(1Z-Z4_(Z*$(0W<$(1c/_+_-c5_<_7c,c.$(0Y;$(1iwiv$(0Zu$(1ful2$(0]'^h$(1pNq_(B")
(qdv "\\faat"	"$(13M$(0ImMuR#$(1U~$(0U3U4$(1[|dh$(0!{^w$(1oe(B")
(qdv "\\foh"	"$(0F|$(1DU$(0S7$(1'xKl$(0!{!{$(1+o$(043$(196+rX9$(08Q$(16u6y$(0S?$(1=`=c$(0!{F{G$!{!{$(1D\$(0!{!{$(1Q|Qp$(0V:$(1X;$(0V2$(1b*ki$(0_G(B")
(qdv "\\fong"	"$(1/R/T/S$(0=#$(1<E(B")
(qdv "\\fung"	"$(1O7$(0[N$(1ld$(0!{(B")
(qdv "\\gaak"	"$(0!{$(1[b$(0_7$(1dK$(0Yi!{!{(B")
(qdv "\\gam"	"$(0IMDbD`IC!{$(1gPj<j8j7[1U<U:$(0!{$(1U/[.$(0!{$(1[,[-_~_|$(0Ww$(1gW$(0[:[;$(1Nq$(0_?$(1U@$(0[B$(1`,g[`*$(0!{(B")
(qdv "\\gan"	"$(0@}$(1&Q&P$(0/1$(1\gIy$(0J_,2$(1;X$(0J`J\!{NX(B")
(qdv "\\gau"	"$(1!e"c$(0Xd!{$(1$d$f$(00o!{$(1($,#XMDr0g$(08]$(10l0jXL0f0k7'$(0=z]g$(17+7/7&i>$(0!{B[!{!{$(1=w$(0Kd$(1Ks$(0Oe$(1R%XJ]Rkl(B")
(qdv "\\gin"	"$(1@8$(0WF$(1N.n$$(0T7$(1_H$(0Y=$(1g#(B")
(qdv "\\gok"	"$(0<}$(19K$(0Y>$(1@;GKGFN2g%(B")
(qdv "\\gwai"	"$(1V%$(0^xY}$(1`v$(0Y~]K(B")
(qdv "\\gwoh"	"$(1J@$(0<SF*F)$(1B}J?(B")
(qdv "\\hau"	"$(13w3v$(0!{$(1I0$(0!{!{$(1)L$(0!{$(1VI$(0!{!{(B")
(qdv "\\him"	"$(0XV$(16==!C~$(0S%(B")
(qdv "\\jau"	"$(1--$(0!{!{5[$(1@TGlGfq`3C3D3EA&$(0!{$(1A%$(0!{$(1H5$(0_=$(1qbN]$(0MO$(1N^$(0!{$(1U'[&[(['_rd!gN$(0[4$(1c~j4$(0\K]5(B")
(qdv "\\juk"	"$(0TQ$(1Zo$(0WY$(1Zp$(0TO_*W\[*['$(1gB$(0[-\I_<$(1n/n2qapS$(0\G$(1GzNJ$(0YE$(1cq3*9^9[$(0?S$(1_j@an1$(0DA$(1@]$(0DH$(1Gq$(0[,YJ$(1Gvn0$(0]2$(1NANETj$(0Q:]y$(1TbT_$(0]x!{$(1Zk$(0TP(B")
(qdv "\\jukfa"	"$(0!{!{$(1ErEuL[^*Ra$(0L0$(1Rc$(0L-$(1mkLa$(0Xz$(1LX$(0!{P0X{P3P5$(1Y&Y)Y($(0Sf$(1Y-$(0V[!{$(1^(pH^/bS$(0Xy$(1bV$(0Z[]nZ^$(11c$(0Gk$(11h7{1f7p8!$(0>L>N$(17z7r7u7vq-$(0>M$(1>k^0>l>h$(0Gj(B")
(qdv "\\kwat"	"$(0_1[<$(1ODm,$(0!{!{Yy$(1dfh0$(0_0$(1pd$(0^W(B")
(qdv "\\ma"	"$(1Ut$(0Qy$(1jn$(0Q{$(1UxnOd\d_dclljr$(0[Q$(1lmjq$(0]F$(1lknM$(0_9$(1r$(B")
(qdv "\\mo"	"$(05$!{$(1=,$(0F^$(1QBD($(0S'$(1eiWsmW(B")
(qdv "\\moon"	"$(1:+$(0W}DiDc$(1ABl[$(0Qe$(1UQr5UP[T[Wdk[X[Z[R`?$(0W{Y_Ya$(1jT(B")
(qdv "\\muk"	"$(1$C$(0,b$(1$DK#i%$(00;$(1';$(0!{07$(1<X$(0OA=A0:Uw$(1+&i#$(03b3m$(1i&$(03n$(1+-$(03g$(1+/$(03p=>$(1+D$(03i3o$(1e`*}]%/_/`<W$(0S$$(1/k$(0FP$(1/lJv$(0=9$(1/n$(0!{Rv82Uv$(1o2$(0!{$(1/^6%6#6&$(0=1$(16)$(0\s$(1r,$(0A~$(1<m$(0Z=$(1Q)$(0As$(1R"]#Ce<o$(0O7$(1C[$(0Av$(1<^CUCY$(0FJ$(1CZ$(0FV_$FQ!{!{$(1CfCg$(0K6[tZ>$(1Jik`(:,E$(0!{4^4d$(1,C1:1;197N$(0!{$(17V$(0Xo!{$(1EE$(0GMGNGL$(1RF$(0Kt$(1L1$(0OySRSPVI$(1]g$(0Xl(B")
(qdv "\\nga"	"$(0SI$(11"E(]_]]b7(B")
(qdv "\\ngau"	"$(1+~$(0!{*K!{4>$(17"7%$(0BX$(1=rDk$(0!{Ka(B")
(qdv "\\niu"	"$(1h_r(\5\:$(0^[$(1a*npa-a/$(0_K$(1d}r@$(0Z($(1e(p"p#d|$(0!{$(1h\$(0[X$(1k-k6$(0!{$(1k<$(0]P$(1m$nioso{o|ov$(0!{(B")
(qdv "\\nui"	"$(1:y4Y$(0!{$(14U4T$(0!{Ef@j$(1:|I[$(0Ei$(1B?I^V]$(0JL$(1ITV\Vc(B")
(qdv "\\pao"	"$(0Ho$(1Gbc__c(B")
(qdv "\\saan"	"$(1"8#`#b$(079!{!{$(1&@&G$(0!{$(1&C$(0/)$(1&E$(0!{/%$(1Vl$(02s$(1P4*!5!$(0<$$(15"5)$(0<#$(14x$(0;x;z!{@w$(1;L;I$(0Ek$(1Io;ABV$(0!{$(1IjP-$(0NTWR$(1\f(B")
(qdv "\\sam"	"$(1!\$(0*&[n$(1"C$(0Nu$(1#{J<#}#~$(0F#F$,;$(1#y$(0,:$(1&^$(0/H$(1&]$(0/P/E$(1&i$(0/N/O$(1&bW*$(0Jm$(1\r$(0F($(1*M!C;e$(07S7N$(1J0/*/+/($(07Q$(1/-$(0A/<G$(15C5A$(0<K<M<P<CF"$(1PO$(0A0A5A;A8$(1BoBn$(0JpNqNtNm!{RY$(1/!/"/#/$$(07E$(1J,$(0F'F&Nf$(1W#$(0UaXB$(1r+(B")
(qdv "\\sau"	"$(0<d$(1JG&}&y$(0/l3?$(1Pb*a/=/;5R<%$(0<q$(15V$(0Jy$(15^$(0<j$(15M$(0<o$(15_JQ<'<$$(0O-$(1<.$(0!{$(1;z$(0ARAE$(1<+a_C5C=C?C&K(C1C2CAJPhz$(0J|$(1PX$(0XJ$(1ad$(0O+$(1k\$(0!{$(1W1W/\x$(0Ul$(1eSo.q!$(07V$(15K;y$(09gUf(B")
(qdv "\\sek"	"$(0VQ$(1(=L8,T>U$(0!{$(1,N$(03L9'!{9#!{[~$(1kq$(09)!{9&$(11>1=1F$(0>@$(1>O>L]q7]7_$(0!{$(17\>Q$(0SWGX$(1EMELXqET$(0K|$(1L5$(0!{$(1L=RP$(0!{$(1RT$(0SV$(1]u]v$(0VP$(1bFiMf2f/(B")
(qdv "\\si"	"$(04~4|$(1,mkv$(0!{9I$(11y8,$(0>^>_Sq>W>X$(183$(0!{$(1?#$(0CC$(1F!F)E~$(0L:$(1Lw$(0!{$(1Lu$(0PCLH$(1LzLn$(0L7LGPD$(1Rq$(0PFPE$(1b`RuRvRwYDRr$(0SpSo$(1Y<$(0Sn$(1^=$(0SiSj\+VpVrVhVfVm$(1kx$(0Y#Y%!{$(1i[f@fBq1(B")
(qdv "\\sik"	"$(0]D^Q$(1nG`\$(0E#$(1dZ$(0E!$(1AT$(0E%IgMq$(1qJUk$(0QvU+!{Yt$(1g~g|$(0[P!{$(1jf$(0!{(B")
(qdv "\\teng"	"$(0TYWc$(1(o(r$(05c$(1-W$(05fYN5`?^5g$(1349h$(0^J$(19i$(0?W?c$(19l$(0DR$(1@s@uH)$(0I7$(1H'$(0QMMAMH(B")
(qdv "\\to"	"$(0.[!{$(1%veE$(0._$(1%|&"%u%y%}4E)U)VB-4>$(0!{!{2U2P$(1.O$(0E^@a$(1B,.P.U46$(0!{$(14;$(0;W!{$(14<4O494847:f:e$(0!{@b$(1B5$(0!{$(1IDI?$(0!{N?]T$(1#L$(0!{$(1VZ$(0RM)h)f$(1"*$(0X>$(1")$(0)gZ0+g(B")
(qdv "\\wai"	"$(0)a$(1"'40$(0+]$(1%r$(02M6j$(14/$(0;Q$(1VR(B")
(qdv "\\woh"	"$(1,\1U$(095$(11Q$(0!{@x$(1>^>\$(0GdGb$(1R\$(0P)Xr(B")
(qdv "\\wong"	"$(1"e$(0SD$(1Dy(-$(00u$(1,+$(04C4I!{$(1,,0o0n$(0=~$(10t0r$(08dG2$(1R-$(0G4BhBbBi$(1>$>">#$(0Bg$(1>'$(0G1G5$(1D|$(0G3VAKiOiSC\yOj$(1R0R,$(0OgSGVBV?$(1]V$(0^=(B")
(qdv "\\yan"	"$(0!{$(1)&$(0:w$(1OU(B")
(qdv "\\yat"	"$(1"O"N$:$(0Rr0<$(1',$(00"/~$(1's$(03X$(1*w*m*p$(09T$(1/W$(0Rq7t$(15m$(0!{AdFB$(1CG$(0K&$(1W?ah$(0\p(B")
(qdv "\\yi"	"$(1-P2w$(0:3$(12z$(0:2$(19:$(0Zv$(1@2@1@6_@G=f~cGN"$(0L~$(1N'$(0L}$(1N%N*$(0T5$(1T3$(0PqWDPsT4WB$(1_Ciyq<"v(z({$(01c:h$(1-d3JAG$(0?zDq(B")
(qdv "\\yideuh"	"$(0?w$(1AF$(0Dp$(1H\`C"r"tcx"qH1%)(u(w$(01YT^$(1(x3<-]-^[$$(0!{$(1-_@v$(0]{:X$(13A3@3?9t9m$(0DV$(1@xNU$(0MK$(1NRT~$(0Wh$(1j1lJ(B")
(qdv "\\yin"	"$(0:6:8:9$(1cK@=$(0D'D.D+$(1@C@FGNGTGO$(0H_$(1GU$(0HiHhQ#M/M.$(1N7T?TC$(0P|Q&P}Q$TFTG$(1ZV$(0Y?_;$(1_Nn'$(0[$(B")
(qdv "\\yue"	"$(1V'ok$(0!{!{$(1\)\*$(0X0$(1`w$(0X/$(1`yqM$(0X.$(1h?dtr?$(0^,$(1n]l{na$(0Z%[V$(1h7hEh:$(0[U!{$(1h<h=$(0[W!{$(1h>$(0!{$(1jz$(0_A\[$(1j}k'$(0!{!{!{$(1l|$(0]M$(1l}n^$(0^-$(1nZ$(0!{!{^Z^X$(1ogpg(B")
(qdv "\\yuk"	"$(1YU$(0?I$(1FI8Q8P8J$(0!{!{CRQWCT!{!{$(1F<$(0!{$(1M/$(0!{$(1FFB.BA$(0LV$(1S)$(0!{$(1^W^U$(0!{)I!{$(1$y$(0!{$(1'4$(0!{1416$(1(Q$(0!{!{!{\0$(1,}-#-+-)*|$(054$(18M$(09[!{$(12/$(09g7w!{(B")

(quail-setup-current-package)
