;; Quail packages for inputting Greek characters.
;; Copyright (C) 1992 Free Software Foundation, Inc.
;; This file is part of Mule (MULtilingual Enhancement of GNU Emacs).

;; Mule is free software distributed in the form of patches to GNU Emacs.
;; You can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published by
;; the Free Software Foundation; either version 1, or (at your option)
;; any later version.

;; Mule is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU General Public License for more details.

;; You should have received a copy of the GNU General Public License
;; along with GNU Emacs; see the file COPYING.  If not, write to
;; the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.

;;; 93.1.7 created for Mule ver.0.9.7 by Takahashi N. <ntakahas@etl.go.jp>

;; T-code for quail package

(require 'quail)

(quail-define-package
 "tcode" "TCODE" nil "A simple quail-package for T-code.
Neither MAZEGAKI nor BUSHU-GOSEI is implemented. " nil t t t)

(quail-defrule "q1" ?$B%n(B)
(quail-defrule "w1" ?$B%p(B)
(quail-defrule "e1" ?$B%q(B)
(quail-defrule "r1" ?$B%u(B)
(quail-defrule "t1" ?$B%v(B)
(quail-defrule "y1" ?$B@A(B)
(quail-defrule "u1" ?$B6-(B)
(quail-defrule "i1" ?$B7O(B)
(quail-defrule "o1" ?$BC5(B)
(quail-defrule "p1" ?$B>](B)
(quail-defrule "a1" ?$B$n(B)
(quail-defrule "s1" ?$B$p(B)
(quail-defrule "d1" ?$B$q(B)
(quail-defrule "h1" ?$B@9(B)
(quail-defrule "j1" ?$B3W(B)
(quail-defrule "k1" ?$BFM(B)
(quail-defrule "l1" ?$B29(B)
(quail-defrule ";1" ?$BJa(B)
(quail-defrule "n1" ?$B0M(B)
(quail-defrule "m1" ?$BA!(B)
(quail-defrule ",1" ?$B<Z(B)
(quail-defrule ".1" ?$B?\(B)
(quail-defrule "/1" ?$BLu(B)
(quail-defrule "q2" ?$B1/(B)
(quail-defrule "w2" ?$B11(B)
(quail-defrule "e2" ?$B1c(B)
(quail-defrule "r2" ?$B1o(B)
(quail-defrule "t2" ?$B1H(B)
(quail-defrule "y2" ?$B>0(B)
(quail-defrule "u2" ?$B2l(B)
(quail-defrule "i2" ?$B4_(B)
(quail-defrule "o2" ?$B@U(B)
(quail-defrule "p2" ?$B5y(B)
(quail-defrule "a2" ?$B1w(B)
(quail-defrule "s2" ?$B1x(B)
(quail-defrule "d2" ?$B25(B)
(quail-defrule "f2" ?$B2:(B)
(quail-defrule "h2" ?$B1W(B)
(quail-defrule "j2" ?$B1g(B)
(quail-defrule "k2" ?$B<~(B)
(quail-defrule "l2" ?$B0h(B)
(quail-defrule ";2" ?$B9S(B)
(quail-defrule "n2" ?$B?%(B)
(quail-defrule "m2" ?$BIc(B)
(quail-defrule ",2" ?$BKg(B)
(quail-defrule ".2" ?$BMp(B)
(quail-defrule "/2" ?$B9a(B)
(quail-defrule "q3" ?$B54(B)
(quail-defrule "w3" ?$B5u(B)
(quail-defrule "e3" ?$B69(B)
(quail-defrule "r3" ?$B6<(B)
(quail-defrule "t3" ?$B6C(B)
(quail-defrule "y3" ?$B<K(B)
(quail-defrule "u3" ?$B4n(B)
(quail-defrule "i3" ?$B44(B)
(quail-defrule "o3" ?$B5V(B)
(quail-defrule "p3" ?$BE|(B)
(quail-defrule "a3" ?$B4q(B)
(quail-defrule "s3" ?$B4{(B)
(quail-defrule "d3" ?$B5F(B)
(quail-defrule "f3" ?$B5Q(B)
(quail-defrule "g3" ?$B5}(B)
(quail-defrule "h3" ?$B9/(B)
(quail-defrule "j3" ?$BEL(B)
(quail-defrule "k3" ?$B7J(B)
(quail-defrule "l3" ?$B=h(B)
(quail-defrule ";3" ?$B$<(B)
(quail-defrule "n3" ?$B>y(B)
(quail-defrule "m3" ?$B%X(B)
(quail-defrule ",3" ?$BLO(B)
(quail-defrule ".3" ?$B9_(B)
(quail-defrule "/3" ?$BAv(B)
(quail-defrule "q4" ?$B8I(B)
(quail-defrule "w4" ?$B8X(B)
(quail-defrule "e4" ?$B2+(B)
(quail-defrule "r4" ?$B9!(B)
(quail-defrule "t4" ?$B9L(B)
(quail-defrule "y4" ?$BI[(B)
(quail-defrule "u4" ?$B6l(B)
(quail-defrule "i4" ?$B05(B)
(quail-defrule "o4" ?$B7C(B)
(quail-defrule "p4" ?$B8G(B)
(quail-defrule "a4" ?$B9*(B)
(quail-defrule "s4" ?$B9n(B)
(quail-defrule "d4" ?$B:)(B)
(quail-defrule "f4" ?$B:$(B)
(quail-defrule "g4" ?$B:*(B)
(quail-defrule "h4" ?$BK.(B)
(quail-defrule "j4" ?$BIq(B)
(quail-defrule "k4" ?$B;((B)
(quail-defrule "l4" ?$B4A(B)
(quail-defrule ";4" ?$B6[(B)
(quail-defrule "n4" ?$B7c(B)
(quail-defrule "m4" ?$B43(B)
(quail-defrule ",4" ?$BI'(B)
(quail-defrule ".4" ?$B6Q(B)
(quail-defrule "/4" ?$BKt(B)
(quail-defrule "q5" ?$BJt(B)
(quail-defrule "w5" ?$BK?(B)
(quail-defrule "e5" ?$BKF(B)
(quail-defrule "r5" ?$BKN(B)
(quail-defrule "y5" ?$B;Q(B)
(quail-defrule "u5" ?$B@d(B)
(quail-defrule "i5" ?$BL)(B)
(quail-defrule "o5" ?$BHk(B)
(quail-defrule "p5" ?$B2!(B)
(quail-defrule "h5" ?$B=0(B)
(quail-defrule "j5" ?$B@a(B)
(quail-defrule "k5" ?$B?y(B)
(quail-defrule "l5" ?$BFy(B)
(quail-defrule ";5" ?$B=|(B)
(quail-defrule "n5" ?$BB,(B)
(quail-defrule "m5" ?$B7l(B)
(quail-defrule ",5" ?$B;6(B)
(quail-defrule ".5" ?$B>P(B)
(quail-defrule "/5" ?$BJ[(B)
(quail-defrule "q6" ?$B8P(B)
(quail-defrule "w6" ?$BNi(B)
(quail-defrule "e6" ?$BCx(B)
(quail-defrule "r6" ?$B0\(B)
(quail-defrule "t6" ?$B6?(B)
(quail-defrule "a6" ?$B=~(B)
(quail-defrule "s6" ?$B2$(B)
(quail-defrule "d6" ?$BEX(B)
(quail-defrule "f6" ?$BDl(B)
(quail-defrule "g6" ?$B0!(B)
(quail-defrule "z6" ?$B6X(B)
(quail-defrule "x6" ?$B>K(B)
(quail-defrule "c6" ?$B<y(B)
(quail-defrule "v6" ?$B6g(B)
(quail-defrule "b6" ?$BAC(B)
(quail-defrule "q7" ?$BC<(B)
(quail-defrule "w7" ?$B>~(B)
(quail-defrule "e7" ?$BM9(B)
(quail-defrule "r7" ?$B1v(B)
(quail-defrule "t7" ?$B72(B)
(quail-defrule "u7" ?$B@1(B)
(quail-defrule "i7" ?$B@O(B)
(quail-defrule "o7" ?$BA+(B)
(quail-defrule "p7" ?$B@k(B)
(quail-defrule "a7" ?$B9H(B)
(quail-defrule "s7" ?$B=}(B)
(quail-defrule "d7" ?$B9k(B)
(quail-defrule "f7" ?$B0](B)
(quail-defrule "g7" ?$BC&(B)
(quail-defrule "h7" ?$BAM(B)
(quail-defrule "j7" ?$BAb(B)
(quail-defrule "k7" ?$BAU(B)
(quail-defrule "l7" ?$BB:(B)
(quail-defrule "z7" ?$B8((B)
(quail-defrule "x7" ?$BHo(B)
(quail-defrule "c7" ?$B8;(B)
(quail-defrule "v7" ?$B4j(B)
(quail-defrule "b7" ?$BNW(B)
(quail-defrule "q8" ?$B:~(B)
(quail-defrule "w8" ?$B<w(B)
(quail-defrule "e8" ?$B=g(B)
(quail-defrule "r8" ?$B4m(B)
(quail-defrule "t8" ?$B:=(B)
(quail-defrule "y8" ?$B=n(B)
(quail-defrule "u8" ?$B>Q(B)
(quail-defrule "i8" ?$B>f(B)
(quail-defrule "o8" ?$B>N(B)
(quail-defrule "p8" ?$B>x(B)
(quail-defrule "a8" ?$BJ^(B)
(quail-defrule "s8" ?$B=<(B)
(quail-defrule "d8" ?$B5J(B)
(quail-defrule "f8" ?$BOS(B)
(quail-defrule "g8" ?$BK=(B)
(quail-defrule "z8" ?$BHc(B)
(quail-defrule "x8" ?$B7D(B)
(quail-defrule "c8" ?$B>D(B)
(quail-defrule "v8" ?$BN5(B)
(quail-defrule "b8" ?$BJ;(B)
(quail-defrule "q9" ?$B?L(B)
(quail-defrule "w9" ?$B07(B)
(quail-defrule "e9" ?$BJR(B)
(quail-defrule "r9" ?$B;%(B)
(quail-defrule "t9" ?$B8p(B)
(quail-defrule "u9" ?$BG5(B)
(quail-defrule "i9" ?$BG!(B)
(quail-defrule "o9" ?$BFt(B)
(quail-defrule "a9" ?$BNX(B)
(quail-defrule "s9" ?$BE](B)
(quail-defrule "d9" ?$BA`(B)
(quail-defrule "f9" ?$BJA(B)
(quail-defrule "g9" ?$B5{(B)
(quail-defrule "z9" ?$B="(B)
(quail-defrule "x9" ?$BCs(B)
(quail-defrule "c9" ?$B4x(B)
(quail-defrule "v9" ?$BC0(B)
(quail-defrule "b9" ?$BA/(B)
(quail-defrule "q0" ?$B90(B)
(quail-defrule "w0" ?$BDK(B)
(quail-defrule "e0" ?$BI<(B)
(quail-defrule "r0" ?$BAJ(B)
(quail-defrule "t0" ?$B0d(B)
(quail-defrule "y0" ?$BMs(B)
(quail-defrule "u0" ?$BN6(B)
(quail-defrule "i0" ?$BN,(B)
(quail-defrule "o0" ?$BN8(B)
(quail-defrule "p0" ?$BN_(B)
(quail-defrule "a0" ?$BB'(B)
(quail-defrule "s0" ?$BB8(B)
(quail-defrule "d0" ?$BG\(B)
(quail-defrule "f0" ?$B5m(B)
(quail-defrule "g0" ?$B<a(B)
(quail-defrule "z0" ?$B9K(B)
(quail-defrule "x0" ?$B3c(B)
(quail-defrule "c0" ?$BAO(B)
(quail-defrule "v0" ?$BGX(B)
(quail-defrule "b0" ?$BHi(B)
(quail-defrule "1q" ?$B%r(B)
(quail-defrule "2q" ?$B0%(B)
(quail-defrule "3q" ?$B2K(B)
(quail-defrule "4q" ?$B7<(B)
(quail-defrule "5q" ?$BGD(B)
(quail-defrule "6q" ?$B;@(B)
(quail-defrule "7q" ?$BCk(B)
(quail-defrule "8q" ?$BC:(B)
(quail-defrule "9q" ?$B0p(B)
(quail-defrule "0q" ?$BEr(B)
(quail-defrule "qq" ?$B2L(B)
(quail-defrule "wq" ?$B9p(B)
(quail-defrule "eq" ?$B:v(B)
(quail-defrule "rq" ?$B<s(B)
(quail-defrule "tq" ?$BG@(B)
(quail-defrule "yq" ?$BJb(B)
(quail-defrule "uq" ?$B2s(B)
(quail-defrule "iq" ?$BL3(B)
(quail-defrule "oq" ?$BEg(B)
(quail-defrule "pq" ?$B3+(B)
(quail-defrule "aq" ?$BJs(B)
(quail-defrule "sq" ?$B;f(B)
(quail-defrule "dq" ?$B4[(B)
(quail-defrule "fq" ?$BLk(B)
(quail-defrule "gq" ?$B0L(B)
(quail-defrule "hq" ?$B5k(B)
(quail-defrule "jq" ?$B0w(B)
(quail-defrule "kq" ?$B$I(B)
(quail-defrule "lq" ?$BBe(B)
(quail-defrule ";q" ?$B%l(B)
(quail-defrule "zq" ?$B7g(B)
(quail-defrule "xq" ?$B2F(B)
(quail-defrule "cq" ?$BH`(B)
(quail-defrule "vq" ?$B:J(B)
(quail-defrule "bq" ?$BA1(B)
(quail-defrule "nq" ?$BAj(B)
(quail-defrule "mq" ?$B2H(B)
(quail-defrule ",q" ?$BE*(B)
(quail-defrule ".q" ?$BBP(B)
(quail-defrule "/q" ?$BNr(B)
(quail-defrule "1w" ?$B%%(B)
(quail-defrule "2w" ?$B0)(B)
(quail-defrule "3w" ?$B2g(B)
(quail-defrule "4w" ?$B7G(B)
(quail-defrule "5w" ?$BH2(B)
(quail-defrule "6w" ?$BKG(B)
(quail-defrule "7w" ?$BA\(B)
(quail-defrule "8w" ?$B0[(B)
(quail-defrule "9w" ?$BNY(B)
(quail-defrule "0w" ?$B5l(B)
(quail-defrule "qw" ?$B35(B)
(quail-defrule "ww" ?$BGc(B)
(quail-defrule "ew" ?$B>\(B)
(quail-defrule "rw" ?$BM3(B)
(quail-defrule "tw" ?$B;`(B)
(quail-defrule "yw" ?$B%-(B)
(quail-defrule "uw" ?$B$;(B)
(quail-defrule "iw" ?$B6h(B)
(quail-defrule "ow" ?$BI4(B)
(quail-defrule "pw" ?$BLZ(B)
(quail-defrule "aw" ?$B2;(B)
(quail-defrule "sw" ?$B2&(B)
(quail-defrule "dw" ?$BJ|(B)
(quail-defrule "fw" ?$B!9(B)
(quail-defrule "gw" ?$B1~(B)
(quail-defrule "hw" ?$BJ,(B)
(quail-defrule "jw" ?$B$h(B)
(quail-defrule "kw" ?$B%k(B)
(quail-defrule "lw" ?$B@i(B)
(quail-defrule ";w" ?$B%"(B)
(quail-defrule "zw" ?$B:b(B)
(quail-defrule "xw" ?$B?K(B)
(quail-defrule "cw" ?$BN"(B)
(quail-defrule "vw" ?$B5o(B)
(quail-defrule "bw" ?$B:9(B)
(quail-defrule "nw" ?$BIU(B)
(quail-defrule "mw" ?$B%W(B)
(quail-defrule ",w" ?$B$P(B)
(quail-defrule ".w" ?$B%e(B)
(quail-defrule "/w" ?$B:n(B)
(quail-defrule "1e" ?$B%t(B)
(quail-defrule "2e" ?$B08(B)
(quail-defrule "3e" ?$B2u(B)
(quail-defrule "4e" ?$B7H(B)
(quail-defrule "5e" ?$BHr(B)
(quail-defrule "6e" ?$B96(B)
(quail-defrule "7e" ?$B>F(B)
(quail-defrule "8e" ?$BF.(B)
(quail-defrule "9e" ?$BF`(B)
(quail-defrule "0e" ?$BM<(B)
(quail-defrule "qe" ?$BIp(B)
(quail-defrule "we" ?$B;D(B)
(quail-defrule "ee" ?$BN>(B)
(quail-defrule "re" ?$B:_(B)
(quail-defrule "te" ?!)
(quail-defrule "ye" ?$B$d(B)
(quail-defrule "ue" ?$B=P(B)
(quail-defrule "ie" ?$B%?(B)
(quail-defrule "oe" ?$B<j(B)
(quail-defrule "pe" ?$BJ](B)
(quail-defrule "ae" ?$B0F(B)
(quail-defrule "se" ?$B6J(B)
(quail-defrule "de" ?$B>p(B)
(quail-defrule "fe" ?$B0z(B)
(quail-defrule "ge" ?$B?&(B)
(quail-defrule "he" ?7)
(quail-defrule "je" ?$B$+(B)
(quail-defrule "ke" ?()
(quail-defrule "le" ?$B%H(B)
(quail-defrule ";e" ?$B$l(B)
(quail-defrule "ze" ?$B=>(B)
(quail-defrule "xe" ?$B9|(B)
(quail-defrule "ce" ?$B8|(B)
(quail-defrule "ve" ?$B4i(B)
(quail-defrule "be" ?$BNL(B)
(quail-defrule "ne" ?$BFb(B)
(quail-defrule "me" ?$B9)(B)
(quail-defrule ",e" ?$BH,(B)
(quail-defrule ".e" ?$B%F(B)
(quail-defrule "/e" ?$B8+(B)
(quail-defrule "1r" ?$B%B(B)
(quail-defrule "2r" ?$B0O(B)
(quail-defrule "3r" ?$B3S(B)
(quail-defrule "4r" ?$B7`(B)
(quail-defrule "5r" ?$BH\(B)
(quail-defrule "6r" ?$BHW(B)
(quail-defrule "7r" ?$BBS(B)
(quail-defrule "8r" ?$B0W(B)
(quail-defrule "9r" ?$BB.(B)
(quail-defrule "0r" ?$B3H(B)
(quail-defrule "qr" ?$BIw(B)
(quail-defrule "wr" ?$B3,(B)
(quail-defrule "er" ?$BG=(B)
(quail-defrule "rr" ?$BO@(B)
(quail-defrule "tr" ?$BA}(B)
(quail-defrule "yr" ?$B%3(B)
(quail-defrule "ur" ?$B;3(B)
(quail-defrule "ir" ?$B<T(B)
(quail-defrule "or" ?$BH/(B)
(quail-defrule "pr" ?$BN)(B)
(quail-defrule "ar" ?$B2#(B)
(quail-defrule "sr" ?$B6=(B)
(quail-defrule "dr" ?$B;I(B)
(quail-defrule "fr" ?$BB&(B)
(quail-defrule "gr" ?$B3P(B)
(quail-defrule "hr" ?$B$-(B)
(quail-defrule "jr" ?$B$C(B)
(quail-defrule "kr" ?$BF|(B)
(quail-defrule "lr" ?$B9q(B)
(quail-defrule ";r" ?$BFs(B)
(quail-defrule "zr" ?$BE,(B)
(quail-defrule "xr" ?$BN`(B)
(quail-defrule "cr" ?$B8f(B)
(quail-defrule "vr" ?$B1'(B)
(quail-defrule "br" ?$B?d(B)
(quail-defrule "nr" ?$B6e(B)
(quail-defrule "mr" ?$BL>(B)
(quail-defrule ",r" ?$B@n(B)
(quail-defrule ".r" ?$B5!(B)
(quail-defrule "/r" ?$B%A(B)
(quail-defrule "1t" ?$B%E(B)
(quail-defrule "2t" ?$B0C(B)
(quail-defrule "3t" ?$B4((B)
(quail-defrule "4t" ?$B8-(B)
(quail-defrule "5t" ?$BHM(B)
(quail-defrule "6t" ?$B5%(B)
(quail-defrule "7t" ?$B49(B)
(quail-defrule "8t" ?$B1d(B)
(quail-defrule "9t" ?$B@c(B)
(quail-defrule "0t" ?$B8_(B)
(quail-defrule "qt" ?$B:Y(B)
(quail-defrule "wt" ?$B8E(B)
(quail-defrule "et" ?$BMx(B)
(quail-defrule "rt" ?$B%Z(B)
(quail-defrule "tt" ?$B$c(B)
(quail-defrule "yt" ?$B%J(B)
(quail-defrule "ut" ?$B6b(B)
(quail-defrule "it" ?$B%^(B)
(quail-defrule "ot" ?$BOB(B)
(quail-defrule "pt" ?$B=w(B)
(quail-defrule "at" ?$B:j(B)
(quail-defrule "st" ?$BGr(B)
(quail-defrule "dt" ?$B$0(B)
(quail-defrule "ft" ?$B41(B)
(quail-defrule "gt" ?$B5e(B)
(quail-defrule "ht" ?$B>e(B)
(quail-defrule "jt" ?$B$/(B)
(quail-defrule "kt" ?8)
(quail-defrule "lt" ?$B$((B)
(quail-defrule ";t" ?$BG/(B)
(quail-defrule "zt" ?$BJl(B)
(quail-defrule "xt" ?$B1|(B)
(quail-defrule "ct" ?$B0x(B)
(quail-defrule "vt" ?$B<r(B)
(quail-defrule "bt" ?$B?-(B)
(quail-defrule "nt" ?$B%5(B)
(quail-defrule "mt" ?$B7z(B)
(quail-defrule ",t" ?$B%Q(B)
(quail-defrule ".t" ?$BBh(B)
(quail-defrule "/t" ?$BF~(B)
(quail-defrule "1y" ?$B4J(B)
(quail-defrule "2y" ?$BD'(B)
(quail-defrule "3y" ?$B?((B)
(quail-defrule "4y" ?$B=!(B)
(quail-defrule "5y" ?$B?"(B)
(quail-defrule "7y" ?$B:w(B)
(quail-defrule "8y" ?$B<M(B)
(quail-defrule "9y" ?$BBy(B)
(quail-defrule "0y" ?$BK}(B)
(quail-defrule "qy" ?$B32(B)
(quail-defrule "wy" ?$BDB(B)
(quail-defrule "ey" ?$B@0(B)
(quail-defrule "ry" ?$B7Z(B)
(quail-defrule "ty" ?$BI>(B)
(quail-defrule "yy" ?$B:4(B)
(quail-defrule "uy" ?$BK!(B)
(quail-defrule "iy" ?$B?t(B)
(quail-defrule "oy" ?$BO:(B)
(quail-defrule "py" ?$BCL(B)
(quail-defrule "ay" ?$BI~(B)
(quail-defrule "sy" ?$B@<(B)
(quail-defrule "dy" ?$BG$(B)
(quail-defrule "fy" ?$B8!(B)
(quail-defrule "gy" ?$BK-(B)
(quail-defrule "hy" ?$BH~(B)
(quail-defrule "jy" ?$BBj(B)
(quail-defrule "ky" ?$B0f(B)
(quail-defrule "ly" ?$BMN(B)
(quail-defrule ";y" ?$B<B(B)
(quail-defrule "zy" ?$BGz(B)
(quail-defrule "xy" ?$BCg(B)
(quail-defrule "cy" ?$BCc(B)
(quail-defrule "vy" ?$BN((B)
(quail-defrule "by" ?$BHf(B)
(quail-defrule "ny" ?$B@N(B)
(quail-defrule "my" ?$BC;(B)
(quail-defrule ",y" ?$B4d(B)
(quail-defrule ".y" ?$B5p(B)
(quail-defrule "/y" ?$BGT(B)
(quail-defrule "1u" ?$B>5(B)
(quail-defrule "2u" ?$B>O(B)
(quail-defrule "3u" ?$B8u(B)
(quail-defrule "4u" ?$BES(B)
(quail-defrule "5u" ?$BJ#(B)
(quail-defrule "7u" ?$B:}(B)
(quail-defrule "8u" ?$B<{(B)
(quail-defrule "9u" ?$BBB(B)
(quail-defrule "0u" ?$BLB(B)
(quail-defrule "qu" ?$B7b(B)
(quail-defrule "wu" ?$B@^(B)
(quail-defrule "eu" ?$BDI(B)
(quail-defrule "ru" ?$BBb(B)
(quail-defrule "tu" ?$B3Q(B)
(quail-defrule "yu" ?$B@\(B)
(quail-defrule "uu" ?$BHw(B)
(quail-defrule "iu" ?$B:G(B)
(quail-defrule "ou" ?$B5^(B)
(quail-defrule "pu" ?$B83(B)
(quail-defrule "au" ?$BJQ(B)
(quail-defrule "su" ?$B?3(B)
(quail-defrule "du" ?$B2~(B)
(quail-defrule "fu" ?$B>:(B)
(quail-defrule "gu" ?$B7](B)
(quail-defrule "hu" ?$B=I(B)
(quail-defrule "ju" ?$B@)(B)
(quail-defrule "ku" ?$B=8(B)
(quail-defrule "lu" ?$B0B(B)
(quail-defrule ";u" ?$B2h(B)
(quail-defrule "zu" ?$BM[(B)
(quail-defrule "xu" ?$B9=(B)
(quail-defrule "cu" ?$BN9(B)
(quail-defrule "vu" ?$B;\(B)
(quail-defrule "bu" ?$BMK(B)
(quail-defrule "nu" ?$B1s(B)
(quail-defrule "mu" ?$B%)(B)
(quail-defrule ",u" ?$B>-(B)
(quail-defrule ".u" ?$B$>(B)
(quail-defrule "/u" ?$BDM(B)
(quail-defrule "1i" ?$B2w(B)
(quail-defrule "2i" ?$BH](B)
(quail-defrule "3i" ?$B;u(B)
(quail-defrule "4i" ?$BI.(B)
(quail-defrule "5i" ?$BN$(B)
(quail-defrule "7i" ?$B;.(B)
(quail-defrule "8i" ?$B=4(B)
(quail-defrule "9i" ?$BC_(B)
(quail-defrule "0i" ?$BLa(B)
(quail-defrule "qi" ?$BMa(B)
(quail-defrule "wi" ?$B=((B)
(quail-defrule "ei" ?$B;e(B)
(quail-defrule "ri" ?$B=U(B)
(quail-defrule "ti" ?$B9,(B)
(quail-defrule "yi" ?$B5-(B)
(quail-defrule "ui" ?$BD+(B)
(quail-defrule "ii" ?$BCN(B)
(quail-defrule "oi" ?$B%o(B)
(quail-defrule "pi" ?$BAw(B)
(quail-defrule "ai" ?$B8B(B)
(quail-defrule "si" ?$B8&(B)
(quail-defrule "di" ?$BO+(B)
(quail-defrule "fi" ?$BE}(B)
(quail-defrule "gi" ?$BLr(B)
(quail-defrule "hi" ?$B%;(B)
(quail-defrule "ji" ?$B1?(B)
(quail-defrule "ki" ?$B%D(B)
(quail-defrule "li" ?$BFC(B)
(quail-defrule ";i" ?$BC+(B)
(quail-defrule "zi" ?$B%!(B)
(quail-defrule "xi" ?$BF3(B)
(quail-defrule "ci" ?$BG'(B)
(quail-defrule "vi" ?$B7r(B)
(quail-defrule "bi" ?$BHx(B)
(quail-defrule "ni" ?$B=x(B)
(quail-defrule "mi" ?$B?6(B)
(quail-defrule ",i" ?$BN}(B)
(quail-defrule ".i" ?$BG0(B)
(quail-defrule "/i" ?$BF/(B)
(quail-defrule "1o" ?$BJq(B)
(quail-defrule "2o" ?$BG<(B)
(quail-defrule "3o" ?$BMj(B)
(quail-defrule "4o" ?$BF((B)
(quail-defrule "5o" ?$B?2(B)
(quail-defrule "7o" ?$B;?(B)
(quail-defrule "8o" ?$B=V(B)
(quail-defrule "9o" ?$BCy(B)
(quail-defrule "0o" ?$BMS(B)
(quail-defrule "qo" ?$B@Q(B)
(quail-defrule "wo" ?$BDx(B)
(quail-defrule "eo" ?$BCG(B)
(quail-defrule "ro" ?$BDc(B)
(quail-defrule "to" ?$B8:(B)
(quail-defrule "yo" ?$B%b(B)
(quail-defrule "uo" ?$B;q(B)
(quail-defrule "io" ?$B;N(B)
(quail-defrule "oo" ?$BHq(B)
(quail-defrule "po" ?$B%#(B)
(quail-defrule "ao" ?$B5U(B)
(quail-defrule "so" ?$B4k(B)
(quail-defrule "do" ?$B@:(B)
(quail-defrule "fo" ?$B$6(B)
(quail-defrule "go" ?$B0u(B)
(quail-defrule "ho" ?$B?@(B)
(quail-defrule "jo" ?$B$S(B)
(quail-defrule "ko" ?$BBG(B)
(quail-defrule "lo" ?$B6P(B)
(quail-defrule ";o" ?$B%c(B)
(quail-defrule "zo" ?$B;&(B)
(quail-defrule "xo" ?$BIi(B)
(quail-defrule "co" ?$B2?(B)
(quail-defrule "vo" ?$BMz(B)
(quail-defrule "bo" ?$BHL(B)
(quail-defrule "no" ?$B<*(B)
(quail-defrule "mo" ?$B<x(B)
(quail-defrule ",o" ?$BHG(B)
(quail-defrule ".o" ?$B8z(B)
(quail-defrule "/o" ?$B;k(B)
(quail-defrule "1p" ?$B>'(B)
(quail-defrule "2p" ?$BJk(B)
(quail-defrule "3p" ?$B7{(B)
(quail-defrule "4p" ?$BJY(B)
(quail-defrule "5p" ?$B:a(B)
(quail-defrule "8p" ?$B=b(B)
(quail-defrule "9p" ?$BCn(B)
(quail-defrule "qp" ?$B8N(B)
(quail-defrule "wp" ?$B9[(B)
(quail-defrule "ep" ?$BDs(B)
(quail-defrule "rp" ?$B;y(B)
(quail-defrule "tp" ?$BI_(B)
(quail-defrule "yp" ?$BL5(B)
(quail-defrule "up" ?$B@P(B)
(quail-defrule "ip" ?$B20(B)
(quail-defrule "op" ?$B2r(B)
(quail-defrule "pp" ?$BJg(B)
(quail-defrule "ap" ?$BNa(B)
(quail-defrule "sp" ?$B0c(B)
(quail-defrule "dp" ?$BAu(B)
(quail-defrule "fp" ?$BA3(B)
(quail-defrule "gp" ?$B3N(B)
(quail-defrule "hp" ?$BM%(B)
(quail-defrule "jp" ?$B8x(B)
(quail-defrule "kp" ?$BIJ(B)
(quail-defrule "lp" ?$B8l(B)
(quail-defrule ";p" ?$B1i(B)
(quail-defrule "zp" ?$B7t(B)
(quail-defrule "xp" ?$B0-(B)
(quail-defrule "cp" ?$B=)(B)
(quail-defrule "vp" ?$BHs(B)
(quail-defrule "bp" ?$BJX(B)
(quail-defrule "np" ?$B<((B)
(quail-defrule "mp" ?$BB((B)
(quail-defrule ",p" ?$BFq(B)
(quail-defrule ".p" ?$BIa(B)
(quail-defrule "/p" ?$BJU(B)
(quail-defrule "1a" ?$B$Q(B)
(quail-defrule "2a" ?$B0V(B)
(quail-defrule "3a" ?$B2f(B)
(quail-defrule "4a" ?$B7s(B)
(quail-defrule "5a" ?$BI)(B)
(quail-defrule "6a" ?$B:y(B)
(quail-defrule "7a" ?$B@%(B)
(quail-defrule "8a" ?$BD;(B)
(quail-defrule "9a" ?$B:E(B)
(quail-defrule "0a" ?$B>c(B)
(quail-defrule "qa" ?$B<}(B)
(quail-defrule "wa" ?$B:](B)
(quail-defrule "ea" ?$BB@(B)
(quail-defrule "ra" ?$B1`(B)
(quail-defrule "ta" ?$BA%(B)
(quail-defrule "ya" ?$BCf(B)
(quail-defrule "ua" ?$B%9(B)
(quail-defrule "ia" ?$B$b(B)
(quail-defrule "oa" ?$B$*(B)
(quail-defrule "pa" ?$BDj(B)
(quail-defrule "aa" ?$B<o(B)
(quail-defrule "sa" ?$B2,(B)
(quail-defrule "da" ?$B7k(B)
(quail-defrule "fa" ?$B?J(B)
(quail-defrule "ga" ?$B??(B)
(quail-defrule "ha" ?3)
(quail-defrule "ja" ?$B$H(B)
(quail-defrule "ka" ?$B!;(B)
(quail-defrule "la" ?$B$F(B)
(quail-defrule ";a" ?$B$k(B)
(quail-defrule "za" ?$B%R(B)
(quail-defrule "xa" ?$B9>(B)
(quail-defrule "ca" ?$BJL(B)
(quail-defrule "va" ?$B9M(B)
(quail-defrule "ba" ?$B8"(B)
(quail-defrule "na" ?$B%C(B)
(quail-defrule "ma" ?$B?M(B)
(quail-defrule ",a" ?$B;0(B)
(quail-defrule ".a" ?$B5~(B)
(quail-defrule "/a" ?$B$A(B)
(quail-defrule "1s" ?$B$T(B)
(quail-defrule "2s" ?$B0Y(B)
(quail-defrule "3s" ?$B3](B)
(quail-defrule "4s" ?$B7y(B)
(quail-defrule "5s" ?$BI3(B)
(quail-defrule "6s" ?$BE5(B)
(quail-defrule "7s" ?$BGn(B)
(quail-defrule "8s" ?$B6Z(B)
(quail-defrule "9s" ?$BCi(B)
(quail-defrule "0s" ?$BF}(B)
(quail-defrule "qs" ?$B<c(B)
(quail-defrule "ws" ?$BM:(B)
(quail-defrule "es" ?$B::(B)
(quail-defrule "rs" ?$B$U(B)
(quail-defrule "ts" ?$B>^(B)
(quail-defrule "ys" ?$B$o(B)
(quail-defrule "us" ?$B%i(B)
(quail-defrule "is" ?$BEl(B)
(quail-defrule "os" ?$B@8(B)
(quail-defrule "ps" ?$B$m(B)
(quail-defrule "as" ?$BBp(B)
(quail-defrule "ss" ?$B=O(B)
(quail-defrule "ds" ?$BBT(B)
(quail-defrule "fs" ?$B<h(B)
(quail-defrule "gs" ?$B2J(B)
(quail-defrule "hs" ?$B!<(B)
(quail-defrule "js" ?$B$7(B)
(quail-defrule "ks" ?$B$?(B)
(quail-defrule "ls" ?$B0l(B)
(quail-defrule ";s" ?$B$,(B)
(quail-defrule "zs" ?$B5Z(B)
(quail-defrule "xs" ?$B5W(B)
(quail-defrule "cs" ?$BB"(B)
(quail-defrule "vs" ?$BAa(B)
(quail-defrule "bs" ?$BB$(B)
(quail-defrule "ns" ?$B%m(B)
(quail-defrule "ms" ?$B%/(B)
(quail-defrule ",s" ?$BK|(B)
(quail-defrule ".s" ?$BJ}(B)
(quail-defrule "/s" ?$B%U(B)
(quail-defrule "1d" ?$B$W(B)
(quail-defrule "2d" ?$B1"(B)
(quail-defrule "3d" ?$B4:(B)
(quail-defrule "4d" ?$B82(B)
(quail-defrule "5d" ?$BIA(B)
(quail-defrule "6d" ?$B:N(B)
(quail-defrule "7d" ?$BMX(B)
(quail-defrule "8d" ?$B4u(B)
(quail-defrule "9d" ?$BJ)(B)
(quail-defrule "0d" ?$B;!(B)
(quail-defrule "qd" ?$B;X(B)
(quail-defrule "wd" ?$B;a(B)
(quail-defrule "ed" ?$B4](B)
(quail-defrule "rd" ?$BB3(B)
(quail-defrule "td" ?$B%'(B)
(quail-defrule "yd" ?$B$&(B)
(quail-defrule "ud" ?4)
(quail-defrule "id" ?))
(quail-defrule "od" ?$B==(B)
(quail-defrule "pd" ?$B%j(B)
(quail-defrule "ad" ?$BNA(B)
(quail-defrule "sd" ?$BEZ(B)
(quail-defrule "dd" ?$B3h(B)
(quail-defrule "fd" ?$B$M(B)
(quail-defrule "gd" ?$B;2(B)
(quail-defrule "hd" ?$B$$(B)
(quail-defrule "jd" ?$B!"(B)
(quail-defrule "kd" ?$B$N(B)
(quail-defrule "ld" ?5)
(quail-defrule ";d" ?1)
(quail-defrule "zd" ?$BEj(B)
(quail-defrule "xd" ?$B5A(B)
(quail-defrule "cd" ?$B;;(B)
(quail-defrule "vd" ?$BH>(B)
(quail-defrule "bd" ?$B8)(B)
(quail-defrule "nd" ?$B$s(B)
(quail-defrule "md" ?$B$^(B)
(quail-defrule ",d" ?$B%s(B)
(quail-defrule ".d" ?$B$D(B)
(quail-defrule "/d" ?$B;M(B)
(quail-defrule "1f" ?$B$Z(B)
(quail-defrule "2f" ?$B1#(B)
(quail-defrule "3f" ?$B4E(B)
(quail-defrule "4f" ?$B8#(B)
(quail-defrule "5f" ?$BJ0(B)
(quail-defrule "6f" ?$B7/(B)
(quail-defrule "7f" ?$B=c(B)
(quail-defrule "8f" ?$BI{(B)
(quail-defrule "9f" ?$BLA(B)
(quail-defrule "0f" ?$BI8(B)
(quail-defrule "qf" ?$B$.(B)
(quail-defrule "wf" ?$B3J(B)
(quail-defrule "ef" ?$B<!(B)
(quail-defrule "rf" ?$B=,(B)
(quail-defrule "tf" ?$B2P(B)
(quail-defrule "yf" ?$B$"(B)
(quail-defrule "uf" ?$B$3(B)
(quail-defrule "if" ?6)
(quail-defrule "of" ?$B3X(B)
(quail-defrule "pf" ?$B7n(B)
(quail-defrule "af" ?$B<u(B)
(quail-defrule "sf" ?$BM=(B)
(quail-defrule "df" ?$B@Z(B)
(quail-defrule "ff" ?$B0i(B)
(quail-defrule "gf" ?$BCS(B)
(quail-defrule "hf" ?$B!#(B)
(quail-defrule "jf" ?$B"!(B)
(quail-defrule "kf" ?0)
(quail-defrule "lf" ?$B!&(B)
(quail-defrule ";f" ?2)
(quail-defrule "zf" ?$B9~(B)
(quail-defrule "xf" ?$BBt(B)
(quail-defrule "cf" ?$B73(B)
(quail-defrule "vf" ?$B@D(B)
(quail-defrule "bf" ?$B@6(B)
(quail-defrule "nf" ?$B$1(B)
(quail-defrule "mf" ?$B%$(B)
(quail-defrule ",f" ?$B$9(B)
(quail-defrule ".f" ?$BEE(B)
(quail-defrule "/f" ?$BCO(B)
(quail-defrule "1g" ?$B$](B)
(quail-defrule "2g" ?$B0_(B)
(quail-defrule "3g" ?$B45(B)
(quail-defrule "4g" ?$B87(B)
(quail-defrule "5g" ?$BJ@(B)
(quail-defrule "6g" ?$BHH(B)
(quail-defrule "7g" ?$BM>(B)
(quail-defrule "8g" ?$BKY(B)
(quail-defrule "9g" ?$B8*(B)
(quail-defrule "0g" ?$BNE(B)
(quail-defrule "qg" ?$B;W(B)
(quail-defrule "wg" ?$B=Q(B)
(quail-defrule "eg" ?$B9-(B)
(quail-defrule "rg" ?$BLg(B)
(quail-defrule "tg" ?$BJ9(B)
(quail-defrule "yg" ?$BK\(B)
(quail-defrule "ug" ?$B$5(B)
(quail-defrule "ig" ?$B$i(B)
(quail-defrule "og" ?$B9b(B)
(quail-defrule "pg" ?$B%7(B)
(quail-defrule "ag" ?$B1Q(B)
(quail-defrule "sg" ?$B%\(B)
(quail-defrule "dg" ?$B2C(B)
(quail-defrule "fg" ?$B<<(B)
(quail-defrule "gg" ?$B>/(B)
(quail-defrule "hg" ?$B$G(B)
(quail-defrule "jg" ?$B$O(B)
(quail-defrule "kg" ?$B$K(B)
(quail-defrule "lg" ?$B$J(B)
(quail-defrule ";g" ?$B$r(B)
(quail-defrule "zg" ?$BE>(B)
(quail-defrule "xg" ?$B6u(B)
(quail-defrule "cg" ?$B@-(B)
(quail-defrule "vg" ?$B;H(B)
(quail-defrule "bg" ?$B5i(B)
(quail-defrule "ng" ?$B6H(B)
(quail-defrule "mg" ?$B;~(B)
(quail-defrule ",g" ?$B!V(B)
(quail-defrule ".g" ?$BD9(B)
(quail-defrule "/g" ?$B$_(B)
(quail-defrule "1h" ?$B<k(B)
(quail-defrule "2h" ?$BCY(B)
(quail-defrule "3h" ?$B9C(B)
(quail-defrule "4h" ?$BCW(B)
(quail-defrule "5h" ?$BHF(B)
(quail-defrule "7h" ?$B?j(B)
(quail-defrule "8h" ?$B<"(B)
(quail-defrule "9h" ?$BD@(B)
(quail-defrule "0h" ?$B8J(B)
(quail-defrule "qh" ?$BIB(B)
(quail-defrule "wh" ?$B=*(B)
(quail-defrule "eh" ?$B5/(B)
(quail-defrule "rh" ?$BO)(B)
(quail-defrule "th" ?$B1[(B)
(quail-defrule "yh" ?$B$`(B)
(quail-defrule "uh" ?$BFn(B)
(quail-defrule "ih" ?$B86(B)
(quail-defrule "oh" ?$B1X(B)
(quail-defrule "ph" ?$BJ*(B)
(quail-defrule "ah" ?$B@*(B)
(quail-defrule "sh" ?$BI,(B)
(quail-defrule "dh" ?$B9V(B)
(quail-defrule "fh" ?$B0&(B)
(quail-defrule "gh" ?$B4I(B)
(quail-defrule "hh" ?$BMW(B)
(quail-defrule "jh" ?$B@_(B)
(quail-defrule "kh" ?$B?e(B)
(quail-defrule "lh" ?$BF#(B)
(quail-defrule ";h" ?$BM-(B)
(quail-defrule "zh" ?$BAG(B)
(quail-defrule "xh" ?$BJ<(B)
(quail-defrule "ch" ?$B@l(B)
(quail-defrule "vh" ?$B?F(B)
(quail-defrule "bh" ?$BN@(B)
(quail-defrule "nh" ?$B%[(B)
(quail-defrule "mh" ?$B6&(B)
(quail-defrule ",h" ?$B%V(B)
(quail-defrule ".h" ?$BJ?(B)
(quail-defrule "/h" ?$B3Z(B)
(quail-defrule "1j" ?$B?X(B)
(quail-defrule "2j" ?$BDa(B)
(quail-defrule "3j" ?$B</(B)
(quail-defrule "4j" ?$B2_(B)
(quail-defrule "5j" ?$BMm(B)
(quail-defrule "7j" ?$B?v(B)
(quail-defrule "8j" ?$B<>(B)
(quail-defrule "9j" ?$BE:(B)
(quail-defrule "0j" ?$BVa(B)
(quail-defrule "qj" ?$B>o(B)
(quail-defrule "wj" ?$BD%(B)
(quail-defrule "ej" ?$BLt(B)
(quail-defrule "rj" ?$BKI(B)
(quail-defrule "tj" ?$BF@(B)
(quail-defrule "yj" ?$B%1(B)
(quail-defrule "uj" ?$B<0(B)
(quail-defrule "ij" ?$B@o(B)
(quail-defrule "oj" ?$B4X(B)
(quail-defrule "pj" ?$BCK(B)
(quail-defrule "aj" ?$BM"(B)
(quail-defrule "sj" ?$B7A(B)
(quail-defrule "dj" ?$B=u(B)
(quail-defrule "fj" ?$B!~(B)
(quail-defrule "gj" ?$BN.(B)
(quail-defrule "hj" ?$BO"(B)
(quail-defrule "jj" ?$BE4(B)
(quail-defrule "kj" ?$B65(B)
(quail-defrule "lj" ?$BNO(B)
(quail-defrule ";j" ?$B%Y(B)
(quail-defrule "zj" ?$BLS(B)
(quail-defrule "xj" ?$B1J(B)
(quail-defrule "cj" ?$B?=(B)
(quail-defrule "vj" ?$BB^(B)
(quail-defrule "bj" ?$BNI(B)
(quail-defrule "nj" ?$B;d(B)
(quail-defrule "mj" ?$B%4(B)
(quail-defrule ",j" ?$BMh(B)
(quail-defrule ".j" ?$B?.(B)
(quail-defrule "/j" ?$B8a(B)
(quail-defrule "1k" ?$B4c(B)
(quail-defrule "2k" ?$BHK(B)
(quail-defrule "3k" ?$B;o(B)
(quail-defrule "4k" ?$B>7(B)
(quail-defrule "5k" ?$B5((B)
(quail-defrule "7k" ?$B?b(B)
(quail-defrule "8k" ?$B?S(B)
(quail-defrule "9k" ?$BE0(B)
(quail-defrule "0k" ?$BL&(B)
(quail-defrule "qk" ?$B;{(B)
(quail-defrule "wk" ?$B<A(B)
(quail-defrule "ek" ?$B$E(B)
(quail-defrule "rk" ?$B9A(B)
(quail-defrule "tk" ?$B>r(B)
(quail-defrule "yk" ?$BOC(B)
(quail-defrule "uk" ?$B:B(B)
(quail-defrule "ik" ?$B@~(B)
(quail-defrule "ok" ?$B%@(B)
(quail-defrule "pk" ?$B66(B)
(quail-defrule "ak" ?$B4p(B)
(quail-defrule "sk" ?$B9%(B)
(quail-defrule "dk" ?$BL#(B)
(quail-defrule "fk" ?$BJu(B)
(quail-defrule "gk" ?$BAh(B)
(quail-defrule "hk" ?$B%G(B)
(quail-defrule "jk" ?$B8=(B)
(quail-defrule "kk" ?$B%((B)
(quail-defrule "lk" ?$BB>(B)
(quail-defrule ";k" ?$BEY(B)
(quail-defrule "zk" ?$BEy(B)
(quail-defrule "xk" ?$B@u(B)
(quail-defrule "ck" ?$B:"(B)
(quail-defrule "vk" ?$BMn(B)
(quail-defrule "bk" ?$BL?(B)
(quail-defrule "nk" ?$BB<(B)
(quail-defrule "mk" ?$B%,(B)
(quail-defrule ",k" ?$B@=(B)
(quail-defrule ".k" ?$B9;(B)
(quail-defrule "/k" ?$B$4(B)
(quail-defrule "1l" ?$B<9(B)
(quail-defrule "2l" ?$B>R(B)
(quail-defrule "3l" ?$BL4(B)
(quail-defrule "4l" ?$B27(B)
(quail-defrule "5l" ?$B0$(B)
(quail-defrule "7l" ?$B?h(B)
(quail-defrule "9l" ?$BD^(B)
(quail-defrule "0l" ?$BGC(B)
(quail-defrule "ql" ?$BDd(B)
(quail-defrule "wl" ?$BNN(B)
(quail-defrule "el" ?$BMF(B)
(quail-defrule "rl" ?$B6L(B)
(quail-defrule "tl" ?$B1&(B)
(quail-defrule "yl" ?$B$Y(B)
(quail-defrule "ul" ?$BL1(B)
(quail-defrule "il" ?$B%=(B)
(quail-defrule "ol" ?$BE@(B)
(quail-defrule "pl" ?$B6x(B)
(quail-defrule "al" ?$BB-(B)
(quail-defrule "sl" ?$BAp(B)
(quail-defrule "dl" ?$BC[(B)
(quail-defrule "fl" ?$B4Q(B)
(quail-defrule "gl" ?$B8@(B)
(quail-defrule "hl" ?$B<V(B)
(quail-defrule "jl" ?$B@.(B)
(quail-defrule "kl" ?$BE7(B)
(quail-defrule "ll" ?$B@$(B)
(quail-defrule ";l" ?$BJ8(B)
(quail-defrule "zl" ?$BHD(B)
(quail-defrule "xl" ?$B5R(B)
(quail-defrule "cl" ?$B;U(B)
(quail-defrule "vl" ?$B@G(B)
(quail-defrule "bl" ?$BHt(B)
(quail-defrule "nl" ?$B%N(B)
(quail-defrule "ml" ?$B40(B)
(quail-defrule ",l" ?$B=E(B)
(quail-defrule ".l" ?$BLs(B)
(quail-defrule "/l" ?$B3F(B)
(quail-defrule "1;" ?$B3Y(B)
(quail-defrule "2;" ?$B7:(B)
(quail-defrule "3;" ?$B<e(B)
(quail-defrule "4;" ?$B1@(B)
(quail-defrule "5;" ?$BAk(B)
(quail-defrule "7;" ?$B@#(B)
(quail-defrule "8;" ?$BF7(B)
(quail-defrule "9;" ?$BF+(B)
(quail-defrule "q;" ?$B2O(B)
(quail-defrule "w;" ?$BCV(B)
(quail-defrule "e;" ?$B6!(B)
(quail-defrule "r;" ?$B;n(B)
(quail-defrule "t;" ?$B@J(B)
(quail-defrule "y;" ?$B4|(B)
(quail-defrule "u;" ?$B%>(B)
(quail-defrule "i;" ?$B:P(B)
(quail-defrule "o;" ?$B6/(B)
(quail-defrule "p;" ?$B78(B)
(quail-defrule "a;" ?$BIX(B)
(quail-defrule "s;" ?$BCJ(B)
(quail-defrule "d;" ?$B1R(B)
(quail-defrule "f;" ?$B3[(B)
(quail-defrule "g;" ?$B=B(B)
(quail-defrule "h;" ?$B<g(B)
(quail-defrule "j;" ?$B1G(B)
(quail-defrule "k;" ?$B=q(B)
(quail-defrule "l;" ?$B2D(B)
(quail-defrule ";;" ?$B$X(B)
(quail-defrule "z;" ?$BEA(B)
(quail-defrule "x;" ?$BDm(B)
(quail-defrule "c;" ?$B2](B)
(quail-defrule "v;" ?$BCe(B)
(quail-defrule "b;" ?$B:d(B)
(quail-defrule "n;" ?$B6a(B)
(quail-defrule "m;" ?$B30(B)
(quail-defrule ",;" ?$BJF(B)
(quail-defrule ".;" ?$B%g(B)
(quail-defrule "/;" ?$B8w(B)
(quail-defrule "1z" ?$B$!(B)
(quail-defrule "3z" ?$B4$(B)
(quail-defrule "6z" ?$B8F(B)
(quail-defrule "7z" ?$BI}(B)
(quail-defrule "8z" ?$B4?(B)
(quail-defrule "9z" ?$B8y(B)
(quail-defrule "0z" ?$BEp(B)
(quail-defrule "qz" ?$BFA(B)
(quail-defrule "wz" ?$BEO(B)
(quail-defrule "ez" ?$B<i(B)
(quail-defrule "rz" ?$BEP(B)
(quail-defrule "tz" ?$BB`(B)
(quail-defrule "yz" ?$BE9(B)
(quail-defrule "uz" ?$B;}(B)
(quail-defrule "iz" ?$BD.(B)
(quail-defrule "oz" ?$B=j(B)
(quail-defrule "pz" ?$B$[(B)
(quail-defrule "az" ?$B7o(B)
(quail-defrule "sz" ?$BM'(B)
(quail-defrule "dz" ?$BB4(B)
(quail-defrule "fz" ?$B=i(B)
(quail-defrule "gz" ?$B47(B)
(quail-defrule "hz" ?$B9T(B)
(quail-defrule "jz" ?$B%I(B)
(quail-defrule "kz" ?$B1_(B)
(quail-defrule "lz" ?$B>.(B)
(quail-defrule ";z" ?$B%8(B)
(quail-defrule "zz" ?$B%h(B)
(quail-defrule "xz" ?$B8m(B)
(quail-defrule "cz" ?$B>Z(B)
(quail-defrule "vz" ?$B4^(B)
(quail-defrule "bz" ?%)
(quail-defrule "nz" ?$B3$(B)
(quail-defrule "mz" ?$BF;(B)
(quail-defrule ",z" ?$B$:(B)
(quail-defrule ".z" ?$B@>(B)
(quail-defrule "/z" ?$B$2(B)
(quail-defrule "1x" ?$B$#(B)
(quail-defrule "6x" ?$B5*(B)
(quail-defrule "7x" ?$BGK(B)
(quail-defrule "8x" ?$B74(B)
(quail-defrule "9x" ?$B93(B)
(quail-defrule "0x" ?$BH((B)
(quail-defrule "qx" ?$B3#(B)
(quail-defrule "wx" ?$B4)(B)
(quail-defrule "ex" ?$BK,(B)
(quail-defrule "rx" ?$BM;(B)
(quail-defrule "tx" ?$B1+(B)
(quail-defrule "yx" ?$BA4(B)
(quail-defrule "ux" ?$B$8(B)
(quail-defrule "ix" ?$B<+(B)
(quail-defrule "ox" ?$B5D(B)
(quail-defrule "px" ?$BL@(B)
(quail-defrule "ax" ?$B5\(B)
(quail-defrule "sx" ?$B0K(B)
(quail-defrule "dx" ?$B5a(B)
(quail-defrule "fx" ?$B5;(B)
(quail-defrule "gx" ?$B<L(B)
(quail-defrule "hx" ?$BDL(B)
(quail-defrule "jx" ?$B%+(B)
(quail-defrule "kx" ?$B<R(B)
(quail-defrule "lx" ?$BLn(B)
(quail-defrule ";x" ?$BF1(B)
(quail-defrule "zx" ?$BH=(B)
(quail-defrule "xx" ?$B5,(B)
(quail-defrule "cx" ?$B46(B)
(quail-defrule "vx" ?$BCM(B)
(quail-defrule "bx" ?$B%.(B)
(quail-defrule "nx" ?$BEv(B)
(quail-defrule "mx" ?$BM}(B)
(quail-defrule ",x" ?$B%a(B)
(quail-defrule ".x" ?$B%&(B)
(quail-defrule "/x" ?$B%0(B)
(quail-defrule "1c" ?$B$%(B)
(quail-defrule "6c" ?$BK<(B)
(quail-defrule "7c" ?$B@S(B)
(quail-defrule "8c" ?$B<1(B)
(quail-defrule "9c" ?$BB0(B)
(quail-defrule "0c" ?$B0a(B)
(quail-defrule "qc" ?$BDk(B)
(quail-defrule "wc" ?$B;O(B)
(quail-defrule "ec" ?$BN;(B)
(quail-defrule "rc" ?$B6K(B)
(quail-defrule "tc" ?$BG.(B)
(quail-defrule "yc" ?$B%P(B)
(quail-defrule "uc" ?$BIt(B)
(quail-defrule "ic" ?$BO;(B)
(quail-defrule "oc" ?$B7P(B)
(quail-defrule "pc" ?$BF0(B)
(quail-defrule "ac" ?$B6I(B)
(quail-defrule "sc" ?$BF,(B)
(quail-defrule "dc" ?$BG[(B)
(quail-defrule "fc" ?$B9u(B)
(quail-defrule "gc" ?$B1!(B)
(quail-defrule "hc" ?$B$@(B)
(quail-defrule "jc" ?$B$j(B)
(quail-defrule "kc" ?$B!=(B)
(quail-defrule "lc" ?$B$a(B)
(quail-defrule ";c" ?$BBg(B)
(quail-defrule "zc" ?$B:Q(B)
(quail-defrule "xc" ?$B5H(B)
(quail-defrule "cc" ?$B$f(B)
(quail-defrule "vc" ?$B4o(B)
(quail-defrule "bc" ?$B><(B)
(quail-defrule "nc" ?$BIT(B)
(quail-defrule "mc" ?$B9g(B)
(quail-defrule ",c" ?$BLL(B)
(quail-defrule ".c" ?$B@/(B)
(quail-defrule "/c" ?$B%*(B)
(quail-defrule "1v" ?$B$'(B)
(quail-defrule "6v" ?$B5n(B)
(quail-defrule "7v" ?$B5?(B)
(quail-defrule "8v" ?$B$B(B)
(quail-defrule "9v" ?$BLJ(B)
(quail-defrule "0v" ?$BN%(B)
(quail-defrule "qv" ?$BFI(B)
(quail-defrule "wv" ?$BNk(B)
(quail-defrule "ev" ?$B62(B)
(quail-defrule "rv" ?$BFD(B)
(quail-defrule "tv" ?$B67(B)
(quail-defrule "yv" ?$B8e(B)
(quail-defrule "uv" ?$B4V(B)
(quail-defrule "iv" ?$B>l(B)
(quail-defrule "ov" ?$B%K(B)
(quail-defrule "pv" ?$B;:(B)
(quail-defrule "av" ?$B8~(B)
(quail-defrule "sv" ?$BI\(B)
(quail-defrule "dv" ?$BIY(B)
(quail-defrule "fv" ?$BD>(B)
(quail-defrule "gv" ?$BAR(B)
(quail-defrule "hv" ?$B?7(B)
(quail-defrule "jv" ?$B!W(B)
(quail-defrule "kv" ?9)
(quail-defrule "lv" ?$B;R(B)
(quail-defrule ";v" ?$B8^(B)
(quail-defrule "zv" ?$B@b(B)
(quail-defrule "xv" ?$B=5(B)
(quail-defrule "cv" ?$B9f(B)
(quail-defrule "vv" ?$BMU(B)
(quail-defrule "bv" ?$BGI(B)
(quail-defrule "nv" ?$B0Q(B)
(quail-defrule "mv" ?$B2=(B)
(quail-defrule ",v" ?$B%S(B)
(quail-defrule ".v" ?$BL\(B)
(quail-defrule "/v" ?$B;T(B)
(quail-defrule "1b" ?$B$)(B)
(quail-defrule "6b" ?$BIC(B)
(quail-defrule "7b" ?$BHO(B)
(quail-defrule "8b" ?$B3K(B)
(quail-defrule "9b" ?$B1F(B)
(quail-defrule "0b" ?$BKc(B)
(quail-defrule "qb" ?$BB2(B)
(quail-defrule "wb" ?$BCz(B)
(quail-defrule "eb" ?$BL$(B)
(quail-defrule "rb" ?$B:M(B)
(quail-defrule "tb" ?$BJV(B)
(quail-defrule "yb" ?$BLd(B)
(quail-defrule "ub" ?$B%`(B)
(quail-defrule "ib" ?$B<7(B)
(quail-defrule "ob" ?$B=;(B)
(quail-defrule "pb" ?$BKL(B)
(quail-defrule "ab" ?$B3d(B)
(quail-defrule "sb" ?$B$V(B)
(quail-defrule "db" ?$BHV(B)
(quail-defrule "fb" ?$BK>(B)
(quail-defrule "gb" ?$B85(B)
(quail-defrule "hb" ?$B;v(B)
(quail-defrule "jb" ?$BED(B)
(quail-defrule "kb" ?$B2q(B)
(quail-defrule "lb" ?$BA0(B)
(quail-defrule ";b" ?$B$=(B)
(quail-defrule "zb" ?$B5Y(B)
(quail-defrule "xb" ?$B>J(B)
(quail-defrule "cb" ?$B1{(B)
(quail-defrule "vb" ?$BJ!(B)
(quail-defrule "bb" ?$BKh(B)
(quail-defrule "nb" ?$B5$(B)
(quail-defrule "mb" ?$BGd(B)
(quail-defrule ",b" ?$B2<(B)
(quail-defrule ".b" ?$BET(B)
(quail-defrule "/b" ?$B3t(B)
(quail-defrule "1n" ?$BM_(B)
(quail-defrule "2n" ?$BAc(B)
(quail-defrule "3n" ?$BLP(B)
(quail-defrule "4n" ?$B=R(B)
(quail-defrule "5n" ?$BO/(B)
(quail-defrule "qn" ?$B5"(B)
(quail-defrule "wn" ?$BD#(B)
(quail-defrule "en" ?$B:r(B)
(quail-defrule "rn" ?$B@W(B)
(quail-defrule "tn" ?$B%2(B)
(quail-defrule "yn" ?$B@v(B)
(quail-defrule "un" ?$B1)(B)
(quail-defrule "in" ?$B8D(B)
(quail-defrule "on" ?$B0e(B)
(quail-defrule "pn" ?$B@E(B)
(quail-defrule "an" ?$B2/(B)
(quail-defrule "sn" ?$BO?(B)
(quail-defrule "dn" ?$B@V(B)
(quail-defrule "fn" ?$BA[(B)
(quail-defrule "gn" ?$B>C(B)
(quail-defrule "hn" ?$B;Y(B)
(quail-defrule "jn" ?$B6((B)
(quail-defrule "kn" ?$BMQ(B)
(quail-defrule "ln" ?$BI=(B)
(quail-defrule ";n" ?$B@5(B)
(quail-defrule "zn" ?$B?^(B)
(quail-defrule "xn" ?$B5s(B)
(quail-defrule "cn" ?$B81(B)
(quail-defrule "vn" ?$B%<(B)
(quail-defrule "bn" ?$BGH(B)
(quail-defrule "nn" ?$B%d(B)
(quail-defrule "mn" ?$B?4(B)
(quail-defrule ",n" ?$B3&(B)
(quail-defrule ".n" ?$B0U(B)
(quail-defrule "/n" ?$B:#(B)
(quail-defrule "1m" ?$BGw(B)
(quail-defrule "2m" ?$B:R(B)
(quail-defrule "3m" ?$BNx(B)
(quail-defrule "4m" ?$BG>(B)
(quail-defrule "5m" ?$BO7(B)
(quail-defrule "qm" ?$B4F(B)
(quail-defrule "wm" ?$B4s(B)
(quail-defrule "em" ?$B:[(B)
(quail-defrule "rm" ?$BC#(B)
(quail-defrule "tm" ?$B<G(B)
(quail-defrule "ym" ?$B6A(B)
(quail-defrule "um" ?$BK:(B)
(quail-defrule "im" ?$BF$(B)
(quail-defrule "om" ?$B;K(B)
(quail-defrule "pm" ?$B4D(B)
(quail-defrule "am" ?$B?'(B)
(quail-defrule "sm" ?$BB_(B)
(quail-defrule "dm" ?$BHN(B)
(quail-defrule "fm" ?$BJT(B)
(quail-defrule "gm" ?$B;E(B)
(quail-defrule "hm" ?$B@h(B)
(quail-defrule "jm" ?$BB?(B)
(quail-defrule "km" ?$B>&(B)
(quail-defrule "lm" ?$B%O(B)
(quail-defrule ";m" ?$B8r(B)
(quail-defrule "zm" ?$BG7(B)
(quail-defrule "xm" ?$BKv(B)
(quail-defrule "cm" ?$B$\(B)
(quail-defrule "vm" ?$B39(B)
(quail-defrule "bm" ?$BLH(B)
(quail-defrule "nm" ?$B:F(B)
(quail-defrule "mm" ?$B%M(B)
(quail-defrule ",m" ?$B!A(B)
(quail-defrule ".m" ?$B8}(B)
(quail-defrule "/m" ?$BBf(B)
(quail-defrule "1," ?$BN1(B)
(quail-defrule "2," ?$BNs(B)
(quail-defrule "3," ?$B9o(B)
(quail-defrule "4," ?$BF&(B)
(quail-defrule "5," ?$B4G(B)
(quail-defrule "q," ?$BC](B)
(quail-defrule "w," ?$BCm(B)
(quail-defrule "e," ?$B2p(B)
(quail-defrule "r," ?$B6q(B)
(quail-defrule "t," ?$B<:(B)
(quail-defrule "y," ?$B;J(B)
(quail-defrule "u," ?$B7^(B)
(quail-defrule "i," ?$B2Z(B)
(quail-defrule "o," ?$B5v(B)
(quail-defrule "p," ?$BJd(B)
(quail-defrule "a," ?$B:8(B)
(quail-defrule "s," ?$BBV(B)
(quail-defrule "d," ?$B2V(B)
(quail-defrule "f," ?$B1I(B)
(quail-defrule "g," ?$B%6(B)
(quail-defrule "h," ?$BD4(B)
(quail-defrule "j," ?$B:.(B)
(quail-defrule "k," ?$B%](B)
(quail-defrule "l," ?$B7h(B)
(quail-defrule ";," ?$B%_(B)
(quail-defrule "z," ?$B=#(B)
(quail-defrule "x," ?$BJ'(B)
(quail-defrule "c," ?$B>h(B)
(quail-defrule "v," ?$B8K(B)
(quail-defrule "b," ?$B>u(B)
(quail-defrule "n," ?$BCD(B)
(quail-defrule "m," ?$B7W(B)
(quail-defrule ",," ?$BIW(B)
(quail-defrule ".," ?$B?)(B)
(quail-defrule "/," ?$BAm(B)
(quail-defrule "1." ?$BBX(B)
(quail-defrule "2." ?$B>B(B)
(quail-defrule "3." ??)
(quail-defrule "4." ?$B<-(B)
(quail-defrule "5." ?$B8%(B)
(quail-defrule "q." ?$B$e(B)
(quail-defrule "w." ?$B=$(B)
(quail-defrule "e." ?$B5f(B)
(quail-defrule "r." ?$BEz(B)
(quail-defrule "t." ?$BM\(B)
(quail-defrule "y." ?$BI|(B)
(quail-defrule "u." ?$BJB(B)
(quail-defrule "i." ?$B1:(B)
(quail-defrule "o." ?$B%f(B)
(quail-defrule "p." ?$BNd(B)
(quail-defrule "a." ?$B$L(B)
(quail-defrule "s." ?$BE8(B)
(quail-defrule "d." ?$B7Y(B)
(quail-defrule "f." ?$B7?(B)
(quail-defrule "g." ?$BC/(B)
(quail-defrule "h." ?$BAH(B)
(quail-defrule "j." ?$BA*(B)
(quail-defrule "k." ?$BE^(B)
(quail-defrule "l." ?$BBr(B)
(quail-defrule ";." ?$BBN(B)
(quail-defrule "z." ?$BNc(B)
(quail-defrule "x." ?$BK~(B)
(quail-defrule "c." ?$BDE(B)
(quail-defrule "v." ?$B=`(B)
(quail-defrule "b." ?$BM7(B)
(quail-defrule "n." ?$B8M(B)
(quail-defrule "m." ?$B$R(B)
(quail-defrule ",." ?$B$g(B)
(quail-defrule ".." ?$B2A(B)
(quail-defrule "/." ?$BM?(B)
(quail-defrule "1/" ?$B4T(B)
(quail-defrule "2/" ?$B99(B)
(quail-defrule "3/" ?$B@j(B)
(quail-defrule "4/" ?$BH"(B)
(quail-defrule "5/" ?$BLp(B)
(quail-defrule "q/" ?$B;V(B)
(quail-defrule "w/" ?$BH4(B)
(quail-defrule "e/" ?$B9R(B)
(quail-defrule "r/" ?$BAX(B)
(quail-defrule "t/" ?$B?<(B)
(quail-defrule "y/" ?$BC4(B)
(quail-defrule "u/" ?$BN&(B)
(quail-defrule "i/" ?$B4,(B)
(quail-defrule "o/" ?$B6%(B)
(quail-defrule "p/" ?$B8n(B)
(quail-defrule "a/" ?$B:,(B)
(quail-defrule "s/" ?$BMM(B)
(quail-defrule "d/" ?$BFH(B)
(quail-defrule "f/" ?$B;_(B)
(quail-defrule "g/" ?$BF2(B)
(quail-defrule "h/" ?$B6d(B)
(quail-defrule "j/" ?$B0J(B)
(quail-defrule "k/" ?$B%L(B)
(quail-defrule "l/" ?$B1D(B)
(quail-defrule ";/" ?$B<#(B)
(quail-defrule "z/" ?$B;z(B)
(quail-defrule "x/" ?$B:`(B)
(quail-defrule "c/" ?$B2a(B)
(quail-defrule "v/" ?$B=t(B)
(quail-defrule "b/" ?$BC1(B)
(quail-defrule "n/" ?$B?H(B)
(quail-defrule "m/" ?$B%T(B)
(quail-defrule ",/" ?$B>!(B)
(quail-defrule "./" ?$BH?(B)
(quail-defrule "//" ?$B%:(B)

(quail-setup-current-package)
