;; Mule for Win32 Drag & Drop files configuration sample
;; Created by H.Bessho (Thanks!)

(defun find-dropped-files (event)
  (interactive "e")
  (select-window (posn-window (car (cdr event))))
  (mapcar 'find-file
	  (cdr (cdr event))))

(defun insert-dropped-filenames (event)
  (interactive "e")
  (let* ((position (car (cdr event)))
	 (list (cdr (cdr event)))
	 (pos (posn-point position)))
    (select-window (posn-window position))
    (if (number-or-marker-p pos)
	(goto-char pos))
    (insert (car list))
    (mapcar (function (lambda (s) (insert "\n") (insert s)))
	    (cdr list))))

(global-set-key [drop-files] 'find-dropped-files)
(global-set-key [mode-line drop-files] 'find-dropped-files)
(global-set-key [M-drop-files] 'insert-dropped-filenames)
(global-set-key [mode-line M-drop-files] 'insert-dropped-filenames)
