/**************************************
  Mule for Win32 Fontset Manager
       Written by himi
**************************************/
#ifdef MULE
#ifndef __WIN32_FONTSET__
#define __WIN32_FONTSET__
#include <windows.h>

#define FONT_PROPERTY_NUM 16
#define LOGFONT_FACENAME_MAX 32

#define NORMAL_FONT_PROPERTY 0
#define BOLD_FONT_PROPERTY 1
#define ITALIC_FONT_PROPERTY 2
#define ITALIC_BOLD_FONT_PROPERTY 3

#define FS_GET_LOGFONT(font, property) ((font)->logfont_properties[(property)])
#define FS_GET_FONT(font, property) ((font)->font_properties[(property)])
#define FS_NUM (current_fontset -> font_num)

#define CURRENT_FONTSET FRAME_FONTSET(selected_frame)

typedef struct fs_fonts
{
  unsigned char *name;
  Lisp_Object coding_system;
  LOGFONT *logfont_properties[FONT_PROPERTY_NUM];
  HFONT   font_properties[FONT_PROPERTY_NUM];
} fs_fonts;

typedef struct win32_fontset
{
  unsigned char *fs_name;
  int vmetric;
  int hmetric;
  int font_base;
  int overhang;
  int font_num;
  fs_fonts **fonts;
} win32_fontset;

static LOGFONT default_normal_font =
{
  0, 0, 0, 0, FW_NORMAL, FALSE, FALSE, FALSE, SHIFTJIS_CHARSET,
  OUT_DEFAULT_PRECIS, CLIP_DEFAULT_PRECIS, DEFAULT_QUALITY,
  FF_DONTCARE | FIXED_PITCH, "FixedSys"
};

static LOGFONT default_italic_font =
{
  0, 0, 0, 0, FW_NORMAL, TRUE, FALSE, FALSE, SHIFTJIS_CHARSET,
  OUT_DEFAULT_PRECIS, CLIP_DEFAULT_PRECIS, DEFAULT_QUALITY,
  FF_DONTCARE | FIXED_PITCH, "FixedSys"
};

static LOGFONT default_bold_font =
{
  0, 0, 0, 0, FW_BOLD, FALSE, FALSE, FALSE, SHIFTJIS_CHARSET,
  OUT_DEFAULT_PRECIS, CLIP_DEFAULT_PRECIS, DEFAULT_QUALITY,
  FF_DONTCARE | FIXED_PITCH, "FixedSys"
};

static LOGFONT default_italic_bold_font =
{
  0, 0, 0, 0, FW_BOLD, TRUE, FALSE, FALSE, SHIFTJIS_CHARSET,
  OUT_DEFAULT_PRECIS, CLIP_DEFAULT_PRECIS, DEFAULT_QUALITY,
  FF_DONTCARE | FIXED_PITCH, "FixedSys"
};

static const unsigned char *default_font = "default";

extern HFONT get_hfont(win32_fontset *fs, fs_fonts *sf, int property);
extern LPLOGFONT get_logfont(win32_fontset *fs, fs_fonts *sf, int property);
extern void win32_set_ime_font(HWND hwnd, LPLOGFONT psetlf);
extern void win32_change_fontset(struct frame *f, unsigned char *name);

#endif  /* __WIN32_FONTSET__ */
#endif  /* MULE */
