/******************************************
      Win32 Registry Manager
      Written by himi
******************************************/


#include <windows.h>
#include <config.h>

#include <stdio.h>
#include <string.h>
#include "blockinput.h"
#include "win32reg.h"

LPBYTE win32_get_string_resource_with_class (unsigned char *name,
					     unsigned char *key,
					     HKEY hkey)
{
  HKEY hrkey;
  LPBYTE lpret;
  DWORD dwType;
  DWORD cbData;

  if (RegOpenKeyEx(hkey, key, 0, KEY_READ, &hrkey)
      != ERROR_SUCCESS) return (LPBYTE) NULL;

  if (RegQueryValueEx(hrkey, name, NULL, &dwType, NULL, &cbData)
      != ERROR_SUCCESS) goto error; 
      
  if (dwType != REG_SZ) goto error;
  lpret = (LPBYTE) malloc(cbData);
  if (!lpret) return NULL;
  if (RegQueryValueEx(hrkey, name, NULL, &dwType, lpret, &cbData) !=
      ERROR_SUCCESS)  goto error;

  RegCloseKey(hrkey);
  return lpret;

 error:
  RegCloseKey(hrkey);
  return (LPBYTE) NULL;
  
}
      
LPBYTE win32_get_string_resource (unsigned char *name, unsigned char *key)
{
    LPBYTE lpret = NULL;

    if (!name) return NULL;
    lpret = win32_get_string_resource_with_class(name, key,
						 HKEY_CURRENT_USER);
    if (!lpret)
      lpret = win32_get_string_resource_with_class(name, key,
						   HKEY_LOCAL_MACHINE);
    return lpret;

}
